// ========================= Atmega128 ÷ LCD ׽Ʈ α׷ ===============
//  CPU : ATmega128-16M - 320*240 2.8" ÷ LCD
//     ¥ : 2008-
//      : Ver1.0
//    : www.cpuplaza.com
// Ϸ : AvrStudio 
//      : serial 19200,N,8,1
// ----------------------------------------------------------------------------
// ⺻ 
// CodeVisionAVR C Compiler
// (C) 1998-2004 Pavel Haiduc, HP InfoTech S.R.L.

// I/O registers definitions for the ATmega128


#pragma used+
sfrb PINF=0;
sfrb PINE=1;
sfrb DDRE=2;
sfrb PORTE=3;
sfrb ADCL=4;
sfrb ADCH=5;
sfrw ADCW=4;      // 16 bit access
sfrb ADCSRA=6;
sfrb ADMUX=7;
sfrb ACSR=8;
sfrb UBRR0L=9;
sfrb UCSR0B=0xa;
sfrb UCSR0A=0xb;
sfrb UDR0=0xc;
sfrb SPCR=0xd;
sfrb SPSR=0xe;
sfrb SPDR=0xf;
sfrb PIND=0x10;
sfrb DDRD=0x11;
sfrb PORTD=0x12;
sfrb PINC=0x13;
sfrb DDRC=0x14;
sfrb PORTC=0x15;
sfrb PINB=0x16;
sfrb DDRB=0x17;
sfrb PORTB=0x18;
sfrb PINA=0x19;
sfrb DDRA=0x1a;
sfrb PORTA=0x1b;
sfrb EECR=0x1c;
sfrb EEDR=0x1d;
sfrb EEARL=0x1e;
sfrb EEARH=0x1f;
sfrw EEAR=0x1e;   // 16 bit access
sfrb SFIOR=0x20;
sfrb WDTCR=0x21;
sfrb OCDR=0x22;
sfrb OCR2=0x23;
sfrb TCNT2=0x24;
sfrb TCCR2=0x25;
sfrb ICR1L=0x26;
sfrb ICR1H=0x27;
sfrw ICR1=0x26;   // 16 bit access
sfrb OCR1BL=0x28;
sfrb OCR1BH=0x29;
sfrw OCR1B=0x28;  // 16 bit access
sfrb OCR1AL=0x2a;
sfrb OCR1AH=0x2b;
sfrw OCR1A=0x2a;  // 16 bit access
sfrb TCNT1L=0x2c;
sfrb TCNT1H=0x2d;
sfrw TCNT1=0x2c;  // 16 bit access
sfrb TCCR1B=0x2e;
sfrb TCCR1A=0x2f;
sfrb ASSR=0x30;
sfrb OCR0=0x31;
sfrb TCNT0=0x32;
sfrb TCCR0=0x33;
sfrb MCUCSR=0x34;
sfrb MCUCR=0x35;
sfrb TIFR=0x36;
sfrb TIMSK=0x37;
sfrb EIFR=0x38;
sfrb EIMSK=0x39;
sfrb EICRB=0x3a;
sfrb RAMPZ=0x3b;
sfrb XDIV=0x3c;
sfrb SPL=0x3d;
sfrb SPH=0x3e;
sfrb SREG=0x3f;
#pragma used-


// Interrupt vectors definitions



// CodeVisionAVR C Compiler
// (C) 1998-2006 Pavel Haiduc, HP InfoTech S.R.L.

// Prototypes for standard I/O functions


// CodeVisionAVR C Compiler
// (C) 1998-2002 Pavel Haiduc, HP InfoTech S.R.L.

// Variable length argument list macros



typedef char *va_list;





#pragma used+

char getchar(void);
void putchar(char c);
void puts(char *str);
void putsf(char flash *str);

char *gets(char *str,unsigned int len);

void printf(char flash *fmtstr,...);
void sprintf(char *str, char flash *fmtstr,...);
void snprintf(char *str, unsigned int size, char flash *fmtstr,...);
void vprintf (char flash * fmtstr, va_list argptr);
void vsprintf (char *str, char flash * fmtstr, va_list argptr);
void vsnprintf (char *str, unsigned int size, char flash * fmtstr, va_list argptr);
signed char scanf(char flash *fmtstr,...);
signed char sscanf(char *str, char flash *fmtstr,...);




                                   

            


#pragma used-

#pragma library stdio.lib


/* CodeVisionAVR C Compiler
   Prototypes for standard library functions

   (C) 1998-2003 Pavel Haiduc, HP InfoTech S.R.L.
*/




#pragma used+

int atoi(char *str);
long int atol(char *str);
float atof(char *str);
void itoa(int n,char *str);
void ltoa(long int n,char *str);
void ftoa(float n,unsigned char decimals,char *str);
void ftoe(float n,unsigned char decimals,char *str);
void srand(int seed);
int rand(void);
void *malloc(unsigned int size);
void *calloc(unsigned int num, unsigned int size);
void *realloc(void *ptr, unsigned int size); 
void free(void *ptr);

#pragma used-
#pragma library stdlib.lib


// CodeVisionAVR C Compiler
// (C) 1998-2000 Pavel Haiduc, HP InfoTech S.R.L.

// Prototypes for character type functions


#pragma used+

unsigned char isalnum(char c);
unsigned char isalpha(char c);
unsigned char isascii(char c);
unsigned char iscntrl(char c);
unsigned char isdigit(char c);
unsigned char islower(char c);
unsigned char isprint(char c);
unsigned char ispunct(char c);
unsigned char isspace(char c);
unsigned char isupper(char c);
unsigned char isxdigit(char c);
unsigned char toint(char c);
char tolower(char c);
char toupper(char c);

#pragma used-


/* CodeVisionAVR C Compiler
   (C) 1998-2001 Pavel Haiduc, HP InfoTech S.R.L. */






/*
CodeVisionAVR C Compiler
Prototypes for mathematical functions

Portions (C) 1998-2001 Pavel Haiduc, HP InfoTech S.R.L.
Portions (C) 2000-2001 Yuri G. Salov
*/



#pragma used+

unsigned char cabs(signed char x);
unsigned int abs(int x);
unsigned long labs(long x);
float fabs(float x);
signed char cmax(signed char a,signed char b);
int max(int a,int b);
long lmax(long a,long b);
float fmax(float a,float b);
signed char cmin(signed char a,signed char b);
int min(int a,int b);
long lmin(long a,long b);
float fmin(float a,float b);
signed char csign(signed char x);
signed char sign(int x);
signed char lsign(long x);
signed char fsign(float x);
unsigned char isqrt(unsigned int x);
unsigned int lsqrt(unsigned long x);
float sqrt(float x);
float floor(float x);
float ceil(float x);
float fmod(float x,float y);
float modf(float x,float *ipart);
float ldexp(float x,int expon);
float frexp(float x,int *expon);
float exp(float x);
float log(float x);
float log10(float x);
float pow(float x,float y);
float sin(float x);
float cos(float x);
float tan(float x);
float sinh(float x);
float cosh(float x);
float tanh(float x);
float asin(float x);
float acos(float x);
float atan(float x);
float atan2(float y,float x);

#pragma used-
#pragma library math.lib


// CodeVisionAVR C Compiler
// (C) 1998-2005 Pavel Haiduc, HP InfoTech S.R.L.

// Prototypes for string functions



#pragma used+

char *strcat(char *str1,char *str2);
char *strcatf(char *str1,char flash *str2);
char *strchr(char *str,char c);
signed char strcmp(char *str1,char *str2);
signed char strcmpf(char *str1,char flash *str2);
char *strcpy(char *dest,char *src);
char *strcpyf(char *dest,char flash *src);
unsigned char strcspn(char *str,char *set);
unsigned char strcspnf(char *str,char flash *set);
unsigned int strlenf(char flash *str);
char *strncat(char *str1,char *str2,unsigned char n);
char *strncatf(char *str1,char flash *str2,unsigned char n);
signed char strncmp(char *str1,char *str2,unsigned char n);
signed char strncmpf(char *str1,char flash *str2,unsigned char n);
char *strncpy(char *dest,char *src,unsigned char n);
char *strncpyf(char *dest,char flash *src,unsigned char n);
char *strpbrk(char *str,char *set);
char *strpbrkf(char *str,char flash *set);
signed char strpos(char *str,char c);
char *strrchr(char *str,char c);
char *strrpbrk(char *str,char *set);
char *strrpbrkf(char *str,char flash *set);
signed char strrpos(char *str,char c);
char *strstr(char *str1,char *str2);
char *strstrf(char *str1,char flash *str2);
unsigned char strspn(char *str,char *set);
unsigned char strspnf(char *str,char flash *set);
char *strtok(char *str1,char flash *str2);
 

unsigned int strlen(char *str);
void *memccpy(void *dest,void *src,char c,unsigned n);
void *memchr(void *buf,unsigned char c,unsigned n);
signed char memcmp(void *buf1,void *buf2,unsigned n);
signed char memcmpf(void *buf1,void flash *buf2,unsigned n);
void *memcpy(void *dest,void *src,unsigned n);
void *memcpyf(void *dest,void flash *src,unsigned n);
void *memmove(void *dest,void *src,unsigned n);
void *memset(void *buf,unsigned char c,unsigned n);

#pragma used-
#pragma library string.lib


// CodeVisionAVR C Compiler
// (C) 1998-2000 Pavel Haiduc, HP InfoTech S.R.L.


#pragma used+

void delay_us(unsigned int n);
void delay_ms(unsigned int n);

#pragma used-


//  
// =================================== CPUʱȭ ͷƮ ===================
//      : CPU  ϰ ͷƮ  ƾ .
// ----------------------------------------------------------------------------
//   


// Լ 
int putchar_0(char data);					// COM1 ۽
int getchar_0(void);						// COM1 

//  
char com1_rx_data,com1_rx_eflg = 0;				// COM1   ͷƮ  /÷

int timer0_cnt = 0;						// Ÿ̸0 ͷƮ  ī
int timer0_touch_cnt = 0;					// timer0 ġ  10ms ī

// ===================================== CPUʱȭ ============================
// [μ] void
// ----------------------------------------------------------------------------
void cpu_setup(void)
{
// PortA 
// LCD_D[0..7] : LCD Data Bus
	PORTA=0xff;						// Ʈ  reg             
	DDRA=0x00;                                              // Ʈ  reg(0Է,1)

// PortC 
// LCD_D[8..15] : LCD Data Bus(color lcd)
// PortC.0 : LCD_CS1
// PortC.1 : LCD_CS2
	PORTC=0xff;						// Ʈ  reg             
	DDRC=0x00;                                              // Ʈ  reg(0Է,1)

// PortE 
// PortE.3(OUT) : LCD DIR
// PortE.4(OUT) : LCD E
// PortE.5(OUT) : LCD RS
// PortE.6(OUT) : GLCD/CLCD Reset
// PortE.7(IN)  : TSC2003 Interrupt PULL UP(external) 
	PORTE=0x40;						// Ʈ  reg             
	DDRE=0x78;                                              // Ʈ  reg(0Է,1)

// PortG 
// PortG.0(OUT) : LCD R/W,CLCD_WR
// PortG.1(OUT) : LCD RD
// PortG.2(OUT) : LCD CS
	(*(unsigned char *) 0x65)=0x07;						// Ʈ  reg             
	(*(unsigned char *) 0x64)=0x07;                                              // Ʈ  reg(0Է,1)

// Timer/Counter0 (Overflow)
	ASSR=0x00;
	TCCR0 = 0x07;						// system clock,16,000,000 / 1024 = 15.625Khz
	TCNT0 = 99;						// 255-156 = 99	
	OCR0=0x00;
	TIMSK |= 0x01;						// TIMER0 ͷƮ 㰡

//  ʱȭ(COM1)
// 19200Bps, 8Data, 1 Stop, No Parity
	UCSR0A=0x00;
	UCSR0B=0x98;
	(*(unsigned char *) 0x95)=0x06;
	(*(unsigned char *) 0x90)=0x00;
	UBRR0L=0x33;

// External SRAM page configuration: 
//              -              / 0000h - FFFFh
// Lower page wait state(s): None
// Upper page wait state(s): 1r/w
//	MCUCR=0xc0;
//	XMCRA=0x02;

// Analog Comparator 
	ACSR=0x80;
	SFIOR=0x00;

// Global enable interrupts
#asm("sei")
}
// =============================== COM1 ͷƮ ===========================
// [μ] void
// ----------------------------------------------------------------------------
#pragma savereg-
interrupt [19] void uart0_rx_isr(void)
{
char status,data;
#asm
	push r26
	push r27
	push r30
	push r31
	in   r26,sreg
	push r26
#endasm

	status=UCSR0A;
	data=UDR0;
	if((status & ((1<<4) | (1<<2) | (1<<3)))==0){
		com1_rx_data = data;
		com1_rx_eflg = 1;
	}

#asm
	pop  r26
	out  sreg,r26
	pop  r31
	pop  r30
	pop  r27
	pop  r26
#endasm
}
#pragma savereg+

// ========================== TIMER0 overflow ͷƮ ========================
// [μ] void
// [] 16,000,000 / 1024 / 156 =  1 / 100.1602564 = 9.9984ms
// ----------------------------------------------------------------------------
interrupt [17] void timer0_ovf_isr(void)
{
	TCNT0 = 99;						// 255-156 = 100
	timer0_cnt++;						// Ÿ̸0 ī
	timer0_touch_cnt++;					// Ÿ̸0 ġ  ī++
}
// ====================== Color LCD  α׷ ==============================
//  : 320*240 TFT LCD(PH240320T-031-LY1Q-HX8347)
// -----------------------------------------------------------------------------
// Ʈ
unsigned char flash AscFont16[128][48] =  {
unsigned char flash AscFont16[128][48] =  {
unsigned char flash AscFont16[128][48] =  {
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 192, 127, 192, 128,  32, 145,  32, 145,  32, 128,  32, 128,  32, 128,  32, 159,  32, 142,  32, 142,  32, 128,  32, 128,  32, 128,  32, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 192, 127, 192, 255, 224, 206,  96, 206,  96, 255, 224, 255, 224, 255, 224, 192,  96, 241, 224, 241, 224, 255, 224, 255, 224, 255, 224, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 115,   0, 115,   0, 255, 192, 255, 192, 255, 192, 255, 192, 255, 192, 255, 192, 127,   0,  30,   0,  30,   0,   8,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  30,   0, 127,   0, 127,   0, 255, 192, 127,   0, 127,   0,  30,   0,   8,   0,   8,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  31,   0,  31,   0,  31,   0, 241, 224, 241, 224, 241, 224, 241, 224, 241, 224,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  31,   0,  31,   0, 127, 192, 255, 224, 255, 224, 255, 224, 127, 192, 127, 192,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0,  31,   0,  31,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 241, 224, 241, 224, 192,  96, 192,  96, 192,  96, 241, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  31,   0, 113, 192, 113, 192,  64,  64,  64,  64,  64,  64, 113, 192,  31,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 192,  96, 142,  32, 142,  32, 159,  32, 159,  32, 159,  32, 142,  32, 192,  96, 192,  96, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224, 255, 224}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  15, 192,  15, 192,   3, 192,  14,  64,  14,  64,  24,  64, 126,   0, 126,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 126,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,  31,   0,  14,   0,  14,   0, 127, 192,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  31, 224,  31, 224,  24,  96,  31, 224,  31, 224,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0, 120,   0, 248,   0, 248,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 224, 127, 224, 112,  96, 127, 224, 127, 224, 112,  96, 112,  96, 112,  96, 112,  96, 112,  96, 112,  96, 113, 224, 241, 224, 241, 224, 241, 192, 192,   0, 192,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0, 206,  96,  31,   0,  31,   0, 241, 224,  31,   0,  31,   0, 206,  96,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0, 128,   0, 192,   0, 192,   0, 240,   0, 248,   0, 248,   0, 254,   0, 255, 192, 255, 192, 254,   0, 248,   0, 248,   0, 240,   0, 192,   0, 192,   0, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,  64,   1, 192,   1, 192,   3, 192,  15, 192,  15, 192,  31, 192, 255, 192, 255, 192,  31, 192,  15, 192,  15, 192,   3, 192,   1, 192,   1, 192,   0,  64,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0, 127, 192, 127, 192,  14,   0,  14,   0,  14,   0,  14,   0, 127, 192, 127, 192,  31,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,   0,   0, 113, 192, 113, 192, 113, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 224, 127, 224, 206,  96, 206,  96, 206,  96, 206,  96, 126,  96, 126,  96,  14,  96,  14,  96,  14,  96,  14,  96,  14,  96,  14,  96,  14,  96,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 112,   0,  30,   0,  30,   0, 115,   0, 193, 192, 193, 192, 193, 192, 115,   0, 115,   0,  30,   0,   3,   0,   3,   0, 193, 192, 127,   0, 127,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 255, 192, 255, 192, 255, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0, 127, 192, 127, 192,  14,   0,  14,   0,  14,   0,  14,   0, 127, 192, 127, 192,  31,   0,  14,   0,  14,   0, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0, 127, 192, 127, 192,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0, 127, 192,  31,   0,  31,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,   3,   0,   3,   0, 255, 192,   3,   0,   3,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0, 112,   0, 112,   0, 255, 192, 112,   0, 112,   0,  24,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 192,   0, 192,   0, 192,   0, 192,   0, 192,   0, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  18,   0, 115,   0, 115,   0, 255, 192, 115,   0, 115,   0,  18,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  30,   0,  30,   0,  30,   0, 127,   0, 127,   0, 127,   0, 255, 192, 255, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 255, 192, 127,   0, 127,   0, 127,   0,  30,   0,  30,   0,  30,   0,   8,   0,   8,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  31,   0,  31,   0,  31,   0,  31,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0, 113, 192, 113, 192, 113, 192, 113, 192,  17,   0,  17,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 115,   0, 115,   0, 115,   0, 255, 192, 115,   0, 115,   0, 115,   0, 115,   0, 115,   0, 255, 192, 115,   0, 115,   0, 115,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,  14,   0,  14,   0,  14,   0, 127,   0, 127,   0, 193, 192, 192,  64, 192,  64, 192,   0, 127,   0, 127,   0,   1, 192,   1, 192,   1, 192, 129, 192, 193, 192, 193, 192, 127,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 192,  64, 192,  64, 193, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0, 112,   0, 193, 192, 193, 192, 129, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0, 115,   0, 115,   0, 115,   0,  30,   0, 121, 192, 121, 192, 207,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 121, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,  24,   0,  24,   0,  24,   0,  24,   0, 112,   0, 112,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  14,   0,  14,   0,   3,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  24,   0,  24,   0,  14,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,  14,   0,  14,   0,  24,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 113, 192,  31,   0,  31,   0, 255, 224,  31,   0,  31,   0, 113, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0, 127, 192,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  14,   0,  24,   0,  24,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  64,   0,  64,   1, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0, 112,   0, 192,   0, 192,   0, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0, 115,   0, 193, 192, 193, 192, 193, 192, 201, 192, 201, 192, 201, 192, 193, 192, 193, 192, 193, 192, 115,   0, 115,   0,  30,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  30,   0, 126,   0, 126,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192,   1, 192,   1, 192,   3,   0,  14,   0,  14,   0,  24,   0, 112,   0, 112,   0, 192,   0, 193, 192, 193, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192,   1, 192,   1, 192,   1, 192,  31,   0,  31,   0,   1, 192,   1, 192,   1, 192,   1, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   3,   0,  15,   0,  31,   0,  31,   0, 115,   0, 195,   0, 195,   0, 255, 192,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 192,   0, 192,   0, 192,   0, 192,   0, 255,   0, 255,   0,   1, 192,   1, 192,   1, 192,   1, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0, 112,   0, 192,   0, 192,   0, 192,   0, 255,   0, 255,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 193, 192,   1, 192,   1, 192,   1, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 127, 192, 127, 192,   1, 192,   1, 192,   1, 192,   1, 192,   3,   0,   3,   0, 126,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  24,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   1, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0, 112,   0,  24,   0,  24,   0,  14,   0,   3,   0,   3,   0,   1, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 192,   0,   0,   0,   0,   0,   0, 127, 192, 127, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 112,   0,  24,   0,  24,   0,  14,   0,   3,   0,   3,   0,   1, 192,   3,   0,   3,   0,  14,   0,  24,   0,  24,   0, 112,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192,   3,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 193, 192, 207, 192, 207, 192, 207, 192, 207, 192, 207, 192, 207,   0, 192,   0, 192,   0, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  30,   0, 115,   0, 115,   0, 193, 192, 193, 192, 193, 192, 255, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 255,   0, 255,   0, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0, 127,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 255,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0, 113, 192, 192,  64, 192,  64, 192,   0, 192,   0, 192,   0, 192,   0, 192,   0, 192,   0, 192,  64, 113, 192, 113, 192,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 254,   0, 254,   0, 115,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 115,   0, 115,   0, 254,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 113, 192, 112,  64, 112,  64, 114,   0, 126,   0, 126,   0, 114,   0, 112,   0, 112,   0, 112,  64, 113, 192, 113, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 113, 192, 112,  64, 112,  64, 114,   0, 126,   0, 126,   0, 114,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0, 113, 192, 192,  64, 192,  64, 192,   0, 192,   0, 192,   0, 207, 192, 193, 192, 193, 192, 193, 192, 113, 192, 113, 192,  30,  64,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 255, 192, 255, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  15, 192,  15, 192,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 126,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 241, 192, 241, 192, 113, 192, 113, 192, 113, 192, 115,   0, 126,   0, 126,   0, 126,   0, 115,   0, 115,   0, 113, 192, 113, 192, 113, 192, 241, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 248,   0, 248,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,  64, 113, 192, 113, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 243, 192, 255, 192, 255, 192, 255, 192, 201, 192, 201, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 241, 192, 249, 192, 249, 192, 255, 192, 207, 192, 207, 192, 195, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 255,   0, 255,   0, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0, 127,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 201, 192, 207, 192, 207, 192, 127,   0,   3,   0,   3,   0,   3, 192,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 255,   0, 255,   0, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0, 127,   0, 115,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 241, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 127,   0, 193, 192, 193, 192, 193, 192, 112,   0,  30,   0,  30,   0,   3,   0,   1, 192,   1, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 127, 192, 127, 192, 127, 192,  78,  64,  78,  64,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 115,   0,  30,   0,  30,   0,   8,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 201, 192, 201, 192, 201, 192, 201, 192, 201, 192, 255, 192, 243, 192, 243, 192, 115,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 115,   0, 115,   0, 127,   0,  30,   0,  30,   0,  30,   0, 127,   0, 127,   0, 115,   0, 193, 192, 193, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,  31,   0,  31,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 255, 192, 193, 192, 129, 192, 129, 192,   3,   0,  14,   0,  14,   0,  24,   0, 112,   0, 112,   0, 192,  64, 193, 192, 193, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 128,   0, 192,   0, 192,   0, 240,   0, 120,   0, 120,   0,  30,   0,  15,   0,  15,   0,   3, 192,   1, 192,   1, 192,   0,  64,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  31,   0,  31,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,   3,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   8,   0,   8,   0,  30,   0, 115,   0, 115,   0, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 224,   0,   0,   0,   0}, 
	{  0,   0,  24,   0,  24,   0,  24,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 126,   0,   3,   0,   3,   0, 127,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 121, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 240,   0, 240,   0, 112,   0, 112,   0, 112,   0, 126,   0, 115,   0, 115,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 192,   0, 192,   0, 192,   0, 192,   0, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  15,   0,  15,   0,   3,   0,   3,   0,   3,   0,  31,   0, 115,   0, 115,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 121, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 255, 192, 192,   0, 192,   0, 192,   0, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0, 115,   0, 113,   0, 113,   0, 112,   0, 248,   0, 248,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 192, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 127,   0, 127,   0,   3,   0, 195,   0, 195,   0, 126,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 240,   0, 240,   0, 112,   0, 112,   0, 112,   0, 115,   0, 121, 192, 121, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 241, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,  30,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   1, 192,   1, 192,   1, 192,   0,   0,   0,   0,   3, 192,   1, 192,   1, 192,   1, 192,   1, 192,   1, 192,   1, 192,   1, 192,   1, 192, 113, 192, 113, 192, 113, 192,  31,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 240,   0, 240,   0, 112,   0, 112,   0, 112,   0, 113, 192, 115,   0, 115,   0, 126,   0, 126,   0, 126,   0, 115,   0, 113, 192, 113, 192, 241, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  30,   0,  30,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  31,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 243,   0, 255, 192, 255, 192, 201, 192, 201, 192, 201, 192, 201, 192, 201, 192, 201, 192, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 207,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 207,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 127,   0, 127,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 192, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 127,   0, 127,   0,   3,   0,   3,   0,   3,   0,  15, 192,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 207,   0, 121, 192, 121, 192, 113, 192, 112,   0, 112,   0, 112,   0, 112,   0, 112,   0, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127,   0, 193, 192, 193, 192, 112,   0,  30,   0,  30,   0,   3,   0, 193, 192, 193, 192, 127,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  24,   0,  24,   0,  24,   0, 255,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  24,   0,  25, 192,  25, 192,  15,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 195,   0, 121, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192, 113, 192,  31,   0,  31,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 201, 192, 201, 192, 201, 192, 201, 192, 255, 192, 255, 192, 115,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 115,   0, 115,   0,  30,   0,  30,   0,  30,   0,  30,   0, 115,   0, 115,   0, 193, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 193, 192, 127, 192, 127, 192,   1, 192,   3,   0,   3,   0, 254,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 192, 195,   0, 195,   0,  14,   0,  24,   0,  24,   0, 112,   0, 193, 192, 193, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   3, 192,   3, 192,  14,   0,  14,   0,  14,   0,  14,   0, 120,   0, 120,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   3, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 120,   0, 120,   0,  14,   0,  14,   0,  14,   0,  14,   0,   3, 192,   3, 192,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0,  14,   0, 120,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0, 121, 192, 121, 192, 207,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   8,   0,   8,   0,  30,   0, 115,   0, 115,   0, 193, 192, 193, 192, 193, 192, 193, 192, 255, 192, 255, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}
}; 
unsigned char flash HanFont1[152][72] = {
unsigned char flash HanFont1[152][72] = {
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0, 
	  14,   0,   0,  14,   0,   0,  14,   0,   0,  24,   0,   0, 112,   0,   0, 112,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  25, 192,   0,  25, 192,   0, 
	  25, 192,   0,  25, 192,   0,  25, 192,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 
	 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 
	 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 
	 115,   0,   0, 115,   0,   0, 115,   0,   0, 115,   0,   0, 127, 252,   0, 127, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0,   0,  96,   0,   0,  96,   0,   0,  96,   0,   0,  96,   0,   0,  96,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 
	 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 
	 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 127, 224,   0, 127, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 127, 224,   0, 112,  96,   0, 112,  96,   0, 
	 112,  96,   0, 112,  96,   0, 112,  96,   0, 112,  96,   0, 127, 224,   0, 127, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0, 
	 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0, 
	  24,  96,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0, 115, 224,   0, 115, 224,   0, 
	 115, 224,   0, 206,  56,   0, 206,  56,   0, 206,  56,   0, 206,  56,   0, 206,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 
	 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0, 
	  24,  96,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 255, 248,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0, 
	 115, 224,   0, 115, 224,   0, 115, 224,   0, 206,  56,   0, 206,  56,   0, 206,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0,  15, 192,   0, 
	  24,  96,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0, 127,   0,   0,   3,   0,   0,   3,   0,   0, 
	  14,   0,   0,  14,   0,   0,  14,   0,   0,  24,   0,   0, 112,   0,   0, 112,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 192,   0, 112,   0,   0, 112,   0,   0, 
	 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 224,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0, 
	  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0, 127, 224,   0, 127, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 
	 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 199, 240,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48, 
	   1, 192,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0, 
	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0, 
	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 207, 240,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0, 
	  31, 207, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0, 
	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48, 
	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48, 
	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,  56,  48,  24,  56,  48,  24,  56,  48,  24,  56,  48,  31, 255, 240,  31, 255, 240,  24,  56,  48,  24,  56,  48,  24,  56,  48, 
	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   1, 199,   0,   1, 199,   0,   3,   1, 128,  30,   0, 240,  30,   0, 240, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   3, 255, 128,  14,  56, 224,  14,  56, 224, 
	  24,  96,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3, 255, 128,  14,   0, 224,  14,   0, 224,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  14,   0, 224,  14,   0, 224, 
	   3, 255, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,   3,   1, 128,   3,   1, 128, 
	  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   3, 255, 128,  14,  56, 224,  14,  56, 224, 
	  24,  96,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,  31, 255, 240,  31, 255, 240,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,   3,   1, 128,   3,   1, 128, 
	  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,  15, 255, 240,  15, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 224,  31, 255, 224,  24,   0,   0,  24,   0,   0,  24,   0,   0, 
	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128, 
	  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,  31, 255, 240,  31, 255, 240,   3, 255, 128,  14,   0, 224,  14,   0, 224,  24,   0,  48,  14,   0, 224,  14,   0, 224, 
	   3, 255, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 199, 240,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48, 
	   1, 192,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 207, 240,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  31, 207, 240,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,  31, 255, 240,  24,   0,   0,  24,   0,   0,  31, 255, 240,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  24,   0,  48,  24,   0,  48,  31, 255, 240,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  24,  56,  48,  24,  56,  48,  24,  56,  48,  31, 255, 240,  24,  56,  48,  24,  56,  48,  31, 255, 240,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   1, 199,   0,   1, 199,   0,   3,   1, 128,  30,   0, 240,  30,   0, 240, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   3, 255, 128,   3, 255, 128,  14,  56, 224,  24,  96,  48,  24,  96,  48, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3, 255, 128,  14,   0, 224,  14,   0, 224,  24,   0,  48,  24,   0,  48,  24,   0,  48,  14,   0, 224,   3, 255, 128,   3, 255, 128, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,  56,   0,   0,  56,   0,   0, 124,   0,   1, 199,   0,   1, 199,   0,   3,   1, 128,  30,   0, 240,  30,   0, 240, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   1, 199,   0,   1, 199,   0,   1, 199,   0,   3, 255, 128,   3, 255, 128,  14,  56, 224,  24,  96,  48,  24,  96,  48, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,   0,  56,   0,   0,  56,   0,   0, 124,   0,   1, 199,   0,   1, 199,   0,   3,   1, 128,  30,   0, 240,  30,   0, 240, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  31, 255, 240,  24,   0,   0,  24,   0,   0,  31, 255, 240,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  31, 255, 240,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,   3, 255, 128,   3, 255, 128,  14,   0, 224,  24,   0,  48,  24,   0,  48,  14,   0, 224,   3, 255, 128,   3, 255, 128, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 
	   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0, 
	  14,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 
	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 
	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 248,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 
	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 
	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 
	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 
	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 
	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 
	 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  31, 192,   0, 115, 224,   0, 115, 224,   0, 
	 206,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0, 
	  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 
	 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  31, 248,   0,  31, 248,   0, 
	 115,  12,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   0, 127, 248,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 
	 112,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 
	   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 224,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 
	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0, 
	 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0, 
	  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 121, 248,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  31, 192,   0, 115, 224,   0, 115, 224,   0, 206,  56,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  31, 248,   0,  31, 248,   0, 115,  12,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 192,   0, 127, 192,   0,   1, 192,   0,   1, 192,   0,   1, 192,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  14,   0,   0, 112,   0,   0, 112,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  24,  96,   0, 113, 192,   0, 113, 192,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 121, 248,   0, 121, 248,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 121, 248,   0, 121, 248,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 127, 248,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 127, 248,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 127, 248,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  25, 192,   0,  31, 192,   0,  31, 192,   0, 115, 224,   0, 206,  56,   0, 206,  56,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 252,   0, 127, 252,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  14,  96,   0,  31, 248,   0, 115,  12,   0, 115,  12,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 224,   0, 127, 224,   0,   0,  96,   0,   0,  96,   0,   0,  96,   0, 127, 224,   0,   1, 192,   0,   1, 192,   0,  15,   0,   0, 120,   0,   0, 120,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 224,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0, 127, 248,   0, 127, 248,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 231, 240,  31, 231, 240,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 207, 240,  31, 207, 240,  24,  12,   0,  24,  12,   0,  24,  12,   0,  24,  12,   0,  31, 207, 240,  31, 207, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  24,  56,  48,  24,  56,  48,  24,  56,  48,  31, 255, 240,  31, 255, 240,  24,  56,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   0, 124,   0,   3, 199, 128,  24,   0,  48,  24,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  15, 199, 224,  24, 124,  48,  24, 124,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3, 255, 128,   3, 255, 128,  14,   0, 224,  24,   0,  48,  24,   0,  48,  14,   0, 224,   3, 255, 128,   3, 255, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   0,  56,   0,   0, 124,   0,   0, 124,   0,   3, 199, 128,  24,   0,  48,  24,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,  15, 199, 224,  24, 124,  48,  24, 124,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,   0, 124,   0,   0, 124,   0,   3, 199, 128,  24,   0,  48,  24,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 255, 240,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,  14,   0, 224,  14,   0, 224,  24,   0,  48,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,  14,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 112,   0,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  31, 248,   0,  31, 248,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 121, 248,   0, 121, 248,   0, 113, 192,   0, 113, 192,   0, 113, 192,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0, 112,  56,   0, 112,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0, 115,  56,   0, 115,  56,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0, 120, 120,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  25, 192,   0,  25, 192,   0,  31, 192,   0, 115, 224,   0, 115, 224,   0, 206,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,  15, 192,   0,  15, 192,   0,  24,  96,   0, 112,  56,   0, 112,  56,   0,  24,  96,   0,  15, 192,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   3,   0,   0,  15, 192,   0,  15, 192,   0, 120, 120,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0, 115,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,   3,   0,   0,   3,   0,   0,  15, 192,   0, 120, 120,   0, 120, 120,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0, 127, 248,   0, 127, 248,   0,   0,  56,   0,   0,  96,   0,   0,  96,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0, 112,   0,   0, 127, 224,   0, 127, 224,   0, 112,   0,   0, 127, 248,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0, 127, 248,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0,  24,  96,   0, 127, 248,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   3,   0,   0,   3,   0,   0, 127, 248,   0,  24,  96,   0,  24,  96,   0, 112,  56,   0,  24,  96,   0,  24,  96,   0,  15, 192,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}
};
unsigned char flash HanFont2[84][72] = {
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224, 
	   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156, 
	   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224, 
	   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156, 
	   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224, 
	   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224, 127, 255, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156, 
	   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156, 127, 249, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48, 127, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0, 127, 255, 252, 127, 255, 252,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	 127, 255, 240,   3,   0,  48,   3,   0,  48,   3,  15, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	 127, 255, 156,   3,   1, 156,   3,   1, 156,   3,  15, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	 127, 255, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0, 127, 255, 252, 127, 255, 252,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224, 
	   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156, 
	   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224, 
	   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156, 
	   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224, 
	   0,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224,   3,   0, 224, 127, 255, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156, 
	   0,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156, 127, 255, 156,   0,   1, 156,   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48, 127, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0, 127, 255, 252, 127, 255, 252,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	 127, 255, 240,   3,   0,  48,   3,   0,  48,   3,  15, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	 127, 255, 156,   3,   1, 156,   3,   1, 156,   3,  15, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   3,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	 127, 255, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0, 127, 255, 252, 127, 255, 252,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 254,   0,   0, 224,   0,   0, 254,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 252,   0,   1, 156,   0,   1, 252,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   7, 240,   0,   0,  48,   0,   7, 240,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,  15, 156,   0,   1, 156,   0,  15, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 255, 252, 127, 255, 252, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   3,   0, 224,   3,   0, 224,   3,   0, 224, 127, 255, 224, 127, 255, 224, 
	   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   3,   1, 156,   3,   1, 156,   3,   1, 156, 127, 255, 156, 127, 255, 156, 
	   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   1, 192,  48,   1, 192,  48,   1, 192,  48, 127, 255, 240, 127, 255, 240, 
	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0, 127, 255, 252, 127, 255, 252, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252, 
	   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   3,   7, 240,   3,   7, 240, 
	   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 127, 255, 156,   3,  15, 156,   3,  15, 156, 
	   3,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   3,   0,  48,   3,   0,  48, 
	   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252, 
	   3,   1, 128,   3,   1, 128,   3,   1, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240, 127, 255, 240, 
	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   0,   0, 254,   0,   0, 224,   0,   0, 254,   0,   0, 254,   0,   0, 224,   0,   0, 224,   0,   0, 224, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   0,   1, 252,   0,   1, 156,   0,   1, 252,   0,   1, 252,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   7, 240,   0,   7, 240,   0,   0,  48,   0,   7, 240,   0,   7, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,  15, 156,   0,  15, 156,   0,   1, 156,   0,  15, 156,   0,  15, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0, 127, 255, 252, 127, 255, 252, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 254,   3,   0, 224,   3,   0, 224,   3,   0, 224, 127, 255, 224, 127, 255, 224, 
	   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 252,   3,   1, 156,   3,   1, 156,   3,   1, 156, 127, 255, 156, 127, 255, 156, 
	   0,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48, 127, 255, 240, 127, 255, 240, 
	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   3,   1, 128,   3,   1, 128,   3,   1, 128, 127, 255, 252, 127, 255, 252, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252, 
	   0,  56,   0,   0,  56,   0,   0,  56,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   3,   7, 240,   3,   7, 240, 
	   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156,   0,   1, 156, 127, 255, 156,   3,  15, 156,   3,  15, 156, 
	   3,   1, 156,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240,   3,   0,  48,   3,   0,  48, 
	   3,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252, 
	   3,   1, 128,   3,   1, 128,   3,   1, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 127, 255, 252, 127, 255, 252, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 127, 255, 240, 127, 255, 240, 
	   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48, 
	   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}
};

unsigned char flash HanFont3[108][72] = {
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 248, 224,  15, 248, 224,   0,  56, 224,   0,  56, 224,   0,  56, 224,   0,  57, 240,   0,  63,  28,   0,  63,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,  63, 224,  14,  63, 224,  14,   7,   0,  14,   7,   0,  14,   7,   0,  14,  15, 128,  15, 248, 224,  15, 248, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,   7,   0,  14,   7,   0,  14,  63, 224,  14,  15, 128,  14,  15, 128,  14,  56, 224,  15, 207, 128,  15, 207, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0, 224,  15, 255, 224,  15, 255, 224,  14,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,  96, 224,  15, 224, 224,  15, 224, 224,  14,   0, 224,  15, 224, 224,  15, 224, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0, 124, 224,  15, 252, 224,  15, 252, 224,  14,  12, 224,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 252, 224,  15, 252, 224,   0, 124, 224,  15, 255, 224,  15, 255, 224,  14,  12, 224,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 225, 128,  15, 225, 128,   0,  97, 128,  15, 225, 128,  15, 225, 128,  14,   7, 224,  15, 252,  48,  15, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0, 124,   0,  15, 255, 224,  15, 255, 224,  14,  12,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   1, 249, 128,  15, 249, 128,  15, 249, 128,  14,  57, 128,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 199,   0,  15, 199,   0,   1, 255, 224,  15, 207, 128,  15, 207, 128,  14,  56, 224,  15, 207, 128,  15, 207, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,  14,   0, 224,  14,   0, 224,  14,   0, 224,  14,   0, 224,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,   0, 224,  14,   0, 224,  14,   0, 224,  15, 255, 224,  15, 255, 224,  14,   0, 224,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,  97, 128,  14,  97, 128,  14,  97, 128,  15, 225, 128,  15, 225, 128,  14, 103, 224,  15, 252,  48,  15, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,  15,   1, 224,  15,   1, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   1, 193, 128,   1, 193, 128,   1, 193, 128,   1, 193, 128,   1, 193, 128,   3, 231, 224,  14,  60,  48,  14,  60,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   1, 255,   0,   1, 255,   0,   3,   1, 128,  14,   0, 224,  14,   0, 224,   3,   1, 128,   1, 255,   0,   1, 255,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,  15,   1, 224,  15,   1, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,  56,   0,  15, 255, 224,  15, 255, 224,   0,  56,   0,   0, 124,   0,   0, 124,   0,   1, 199,   0,  15,   1, 224,  15,   1, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0, 224,  15, 255, 224,  15, 255, 224,   0,   0, 224,   0,   0, 224,   0,   0, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,  14,   0,   0,  15, 255, 224,  15, 255, 224,  14,   0,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 224,  15, 255, 224,   1, 199,   0,   1, 199,   0,   1, 199,   0,   1, 199,   0,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,  56,   0,  15, 255, 224,  15, 255, 224,   3,   1, 128,  14,   0, 224,  14,   0, 224,   3,   1, 128,   1, 255,   0,   1, 255,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  56,  48,   0,  56,  48,   0,  56,  48,   0,  56,  48,   0,  56,  48,   0,  56,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 252,  48,   3, 252,  48,   0,  12,  48,   0,  12,  48,   0,  12,  48,   0,  12, 252,   0,  15, 134,   0,  15, 134,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3,  15, 240,   3,  15, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   7, 224,   3, 252,  48,   3, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3,   1, 128,   3,   1, 128,   3,  15, 240,   3,   7, 224,   3,   7, 224,   3,  12,  48,   3, 231, 224,   3, 231, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,  48,   3, 255, 240,   3, 255, 240,   3,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  56,  48,   3, 248,  48,   3, 248,  48,   3,   0,  48,   3, 248,  48,   3, 248,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  63,  48,   3, 255,  48,   3, 255,  48,   3,   7,  48,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255,  48,   3, 255,  48,   0,  63,  48,   3, 255, 240,   3, 255, 240,   3,   7,  48,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 248, 224,   3, 248, 224,   0,  56, 224,   3, 248, 224,   3, 248, 224,   3,   1, 240,   3, 255,  28,   3, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  63,   0,   3, 255, 240,   3, 255, 240,   3,   7,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0, 124, 224,   3, 252, 224,   3, 252, 224,   3,  12, 224,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 225, 128,   3, 225, 128,   0, 127, 240,   3, 231, 224,   3, 231, 224,   3,  12,  48,   3, 231, 224,   3, 231, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3,   0,  48,   3,   0,  48,   3,   0,  48,   3, 255, 240,   3, 255, 240,   3,   0,  48,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3,  56, 224,   3,  56, 224,   3,  56, 224,   3, 248, 224,   3, 248, 224,   3,  57, 240,   3, 255,  28,   3, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  12,   0,   0,  12,   0,   0,  12,   0,   0,  63,   0,   0,  63,   0,   0,  97, 128,   3, 192, 240,   3, 192, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   0,  96, 224,   1, 249, 240,   3,  15,  28,   3,  15,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0, 127, 128,   0, 127, 128,   1, 192, 224,   3,   0,  48,   3,   0,  48,   1, 192, 224,   0, 127, 128,   0, 127, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  12,   0,   0,  63,   0,   0,  63,   0,   0,  97, 128,   3, 192, 240,   3, 192, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,  12,   0,   3, 255, 240,   3, 255, 240,   0,  12,   0,   0,  63,   0,   0,  63,   0,   0,  97, 128,   3, 192, 240,   3, 192, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,  48,   3, 255, 240,   3, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   3,   0,   0,   3, 255, 240,   3, 255, 240,   3,   0,   0,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 240,   3, 255, 240,   0,  97, 128,   0,  97, 128,   0,  97, 128,   0,  97, 128,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,  12,   0,   3, 255, 240,   3, 255, 240,   1, 192, 224,   3,   0,  48,   3,   0,  48,   1, 192, 224,   0, 127, 128,   0, 127, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  56,  28,   0,  56,  28,   0,  56,  28,   0,  56,  28,   0,  56,  28,   0,  56,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 248, 224,  15, 248, 224,   0,  56, 224,   0,  56, 224,   0,  56, 224,   0,  57, 240,   0,  63,  28,   0,  63,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,   7, 252,  14,   7, 252,  14,   0, 224,  14,   0, 224,  14,   0, 224,  14,   1, 240,  15, 255,  28,  15, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,   1, 224,  14,   1, 224,  14,  15, 252,  14,   7, 240,  14,   7, 240,  14,  12,  28,  15, 231, 240,  15, 231, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,  14,   0,   0,  14,   0,   0,  14,   0,   0,  14,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,  28,  15, 255, 252,  15, 255, 252,  14,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  56,  28,  15, 248,  28,  15, 248,  28,  14,   0,  28,  15, 248,  28,  15, 248,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  63,  28,  15, 255,  28,  15, 255,  28,  14,   7,  28,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255,  28,  15, 255,  28,   0,  63,  28,  15, 255, 252,  15, 255, 252,  14,   7,  28,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 248, 224,  15, 248, 224,   0,  56, 224,  15, 248, 224,  15, 248, 224,  14,   1, 240,  15, 255,  28,  15, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  63,   0,  15, 255, 252,  15, 255, 252,  14,   7,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0, 103,  48,  15, 231,  48,  15, 231,  48,  14,   7,  48,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 248, 224,  15, 248, 224,   0,  63, 252,  15, 249, 240,  15, 249, 240,  14,   7,  28,  15, 249, 240,  15, 249, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,  14,   0,  28,  14,   0,  28,  14,   0,  28,  14,   0,  28,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,   0,  28,  14,   0,  28,  14,   0,  28,  15, 255, 252,  15, 255, 252,  14,   0,  28,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  14,  56, 224,  14,  56, 224,  14,  56, 224,  15, 248, 224,  15, 248, 224,  14,  57, 240,  15, 255,  28,  15, 255,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  12,   0,   0,  12,   0,   0,  12,   0,   0,  63,   0,   0,  63,   0,   1, 225, 224,  15,   0,  60,  15,   0,  60,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   1, 192, 224,   1, 192, 224,   1, 192, 224,   1, 192, 224,   1, 192, 224,   3, 225, 240,  14,  63,  28,  14,  63,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   1, 255, 224,   1, 255, 224,   3,   0,  48,  14,   0,  28,  14,   0,  28,   3,   0,  48,   1, 255, 224,   1, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,  12,   0,   0,  63,   0,   0,  63,   0,   1, 225, 224,  15,   0,  60,  15,   0,  60,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  12,   0,   0,  12,   0,  15, 255, 252,   0,  63,   0,   0,  63,   0,   1, 225, 224,  15,   0,  60,  15,   0,  60,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,  28,  15, 255, 252,  15, 255, 252,   0,   0,  28,   0,   0,  28,   0,   0,  28,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,  14,   0,   0,  15, 255, 252,  15, 255, 252,  14,   0,   0,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  15, 255, 252,  15, 255, 252,   1, 192, 224,   1, 192, 224,   1, 192, 224,   1, 192, 224,  15, 255, 252,  15, 255, 252,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  12,   0,   0,  12,   0,  15, 255, 252,   3,   0,  48,   3,   0,  48,  14,   0,  28,   3, 255, 240,   3, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,  96,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 225, 128,  31, 225, 128,   0,  97, 128,   0,  97, 128,   0,  97, 128,   0, 103, 224,   0, 124,  48,   0, 124,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  24,  15, 240,  24,  15, 240,  24,   1, 128,  24,   1, 128,  24,   1, 128,  24,   7, 224,  31, 252,  48,  31, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  24,   7, 128,  24,   7, 128,  24,  63, 240,  24,  15, 224,  24,  15, 224,  24,  56,  48,  31, 207, 224,  31, 207, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  24,   0,   0,  24,   0,   0,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,  96,  48,  31, 224,  48,  31, 224,  48,  24,   0,  48,  31, 224,  48,  31, 224,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 207, 240,  31, 207, 240,   1, 204,  48,  31, 204,  48,  31, 204,  48,  24,  12,  48,  31, 207, 240,  31, 207, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 204,  48,  31, 204,  48,   1, 204,  48,  31, 207, 240,  31, 207, 240,  24,  12,  48,  31, 207, 240,  31, 207, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 225, 128,  31, 225, 128,   0,  97, 128,  31, 225, 128,  31, 225, 128,  24,   7, 224,  31, 252,  48,  31, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 231, 240,  31, 231, 240,   0, 103,   0,  31, 231, 240,  31, 231, 240,  24,   7,   0,  31, 231, 240,  31, 231, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,   1, 204, 224,  31, 204, 224,  31, 204, 224,  24,  12, 224,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 225, 128,  31, 225, 128,   0, 127, 240,  31, 231, 224,  31, 231, 224,  24,  12,  48,  31, 231, 224,  31, 231, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,  48,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  24,   0,  48,  24,   0,  48,  24,   0,  48,  31, 255, 240,  31, 255, 240,  24,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  24,  97, 128,  24,  97, 128,  24,  97, 128,  31, 225, 128,  31, 225, 128,  24, 103, 224,  31, 252,  48,  31, 252,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  56,   0,   0,  56,   0,   0,  56,   0,   0, 124,   0,   0, 124,   0,   3, 199, 128,  30,   0, 240,  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  15, 199, 224,  24, 124,  48,  24, 124,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   3, 255, 128,   3, 255, 128,  30,   0, 240,  24,   0,  48,  24,   0,  48,  30,   0, 240,   3, 255, 128,   3, 255, 128,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,  56,   0,   0, 124,   0,   0, 124,   0,   3, 199, 128,  30,   0, 240,  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,   0, 124,   0,   0, 124,   0,   3, 199, 128,  30,   0, 240,  30,   0, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,  48,  31, 255, 240,  31, 255, 240,   0,   0,  48,   0,   0,  48,   0,   0,  48,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,  24,   0,   0,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,  31, 255, 240,  31, 255, 240,   3,   1, 128,   3,   1, 128,   3,   1, 128,   3,   1, 128,  31, 255, 240,  31, 255, 240,   0,   0,   0,   0,   0,   0,   0,   0,   0}, 
	{  0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0,   0, 
	   0,   0,   0,   0,  56,   0,   0,  56,   0,  31, 255, 240,  14,   0, 224,  14,   0, 224,  24,   0,  48,  15, 255, 224,  15, 255, 224,   0,   0,   0,   0,   0,   0,   0,   0,   0}
};


// ϼ ->  ȯ ̺
unsigned flash Conv_Tbl[2354] =
unsigned flash Conv_Tbl[2354] =
{
	    34913u,34914u,34917u,34920u,34921u,34922u,34923u,34929u,34931u,34932u,
	    34933u,34934u,34935u,34936u,34937u,34939u,34940u,34941u,34945u,34946u,
	    34949u,34953u,34961u,34963u,34965u,34966u,34967u,34977u,34978u,34981u,
	    34985u,34997u,34999u,35009u,35013u,35017u,35041u,35042u,35045u,35048u,
	    35049u,35051u,35057u,35059u,35061u,35062u,35063u,35064u,35067u,35068u,
	    35069u,35137u,35141u,35145u,35153u,35155u,35157u,35158u,35159u,35169u,
	    35170u,35171u,35173u,35176u,35177u,35185u,35187u,35189u,35190u,35191u,
	    35195u,35201u,35205u,35209u,35219u,35221u,35233u,35234u,35237u,35240u,
	    35241u,35243u,35245u,35248u,35249u,35251u,35253u,35255u,35256u,35265u,
	    35266u,35269u,35273u,35275u,
	    35281u,35283u,35285u,35287u,35297u,35301u,35305u,35313u,35318u,35319u,
	    35393u,35394u,35397u,35401u,35409u,35411u,35413u,35415u,35425u,35429u,
	    35433u,35443u,35445u,35457u,35458u,35461u,35464u,35465u,35466u,35467u,
	    35472u,35473u,35475u,35477u,35479u,35480u,35489u,35490u,35493u,35497u,
	    35510u,35511u,35521u,35541u,35553u,35554u,35557u,35561u,35569u,35571u,
	    35573u,35649u,35653u,35657u,35681u,35682u,35685u,35688u,35689u,35690u,
	    35697u,35699u,35701u,35703u,35713u,35745u,35746u,35749u,35752u,35753u,
	    35755u,35761u,35763u,35765u,35767u,35768u,35772u,35937u,35938u,35939u,
	    35941u,35945u,35947u,35953u,35955u,35957u,35958u,35959u,35963u,35969u,
	    35970u,35973u,35977u,35985u,
	    35987u,35989u,35990u,35991u,36001u,36002u,36009u,36065u,36066u,36067u,
	    36069u,36073u,36081u,36083u,36085u,36086u,36087u,36161u,36162u,36165u,
	    36177u,36181u,36183u,36193u,36197u,36201u,36213u,36214u,36219u,36225u,
	    36257u,36258u,36261u,36263u,36265u,36273u,36275u,36277u,36279u,36280u,
	    36281u,36289u,36290u,36297u,36297u,36311u,36321u,36322u,36343u,36417u,
	    36421u,36425u,36433u,36435u,36439u,36449u,36481u,36482u,36485u,36489u,
	    36496u,36497u,36499u,36501u,36503u,36504u,36513u,36521u,36534u,36535u,
	    36545u,36546u,36549u,36553u,36561u,36563u,36566u,36577u,36581u,36585u,
	    36593u,36595u,36673u,36705u,36706u,36709u,36711u,36713u,36715u,36720u,
	    36721u,36723u,36725u,36727u,
	    36731u,36769u,36770u,36773u,36777u,36785u,36787u,36789u,36791u,36961u,
	    36962u,36963u,36965u,36968u,36969u,36970u,36971u,36977u,36979u,36981u,
	    36982u,36983u,36984u,36985u,36987u,36989u,36993u,36994u,36997u,37001u,
	    37009u,37011u,37013u,37014u,37015u,37025u,37026u,37029u,37033u,37041u,
	    37047u,37089u,37090u,37092u,37093u,37097u,37099u,37100u,37105u,37107u,
	    37109u,37110u,37111u,37117u,37185u,37186u,37189u,37193u,37201u,37203u,
	    37205u,37206u,37207u,37217u,37218u,37221u,37225u,37233u,37235u,37238u,
	    37239u,37242u,37249u,37253u,37281u,37282u,37285u,37289u,37291u,37297u,
	    37299u,37301u,37303u,37308u,37309u,37313u,37317u,37321u,37334u,37441u,
	    37445u,37449u,37457u,37459u,
	    37461u,37473u,37474u,37477u,37481u,37491u,37493u,37495u,37505u,37506u,
	    37509u,37512u,37513u,37521u,37523u,37525u,37527u,37537u,37558u,37569u,
	    37601u,37605u,37609u,37617u,37619u,37697u,37698u,37705u,37713u,37715u,
	    37719u,37729u,37730u,37733u,37737u,37738u,37739u,37745u,37747u,37749u,
	    37751u,37752u,37756u,37761u,37765u,37769u,37793u,37794u,37797u,37801u,
	    37801u,37809u,37811u,37813u,37815u,37820u,37985u,37986u,37987u,37989u,
	    37992u,37993u,37994u,37995u,37996u,38000u,38001u,38003u,38005u,38006u,
	    38007u,38008u,38009u,38013u,38017u,38018u,38021u,38025u,38033u,38035u,
	    38037u,38038u,38039u,38049u,38113u,38114u,38115u,38117u,38120u,38121u,
	    38123u,38124u,38129u,38131u,
	    38133u,38135u,38137u,38140u,38209u,38210u,38213u,38217u,38225u,38227u,
	    38229u,38230u,38231u,38241u,38245u,38249u,38262u,38263u,38273u,38277u,
	    38305u,38306u,38309u,38312u,38313u,38315u,38317u,38321u,38323u,38325u,
	    38327u,38329u,38331u,38337u,38341u,38345u,38369u,38390u,38465u,38469u,
	    38473u,38481u,38483u,38485u,38497u,38529u,38530u,38533u,38537u,38545u,
	    38547u,38549u,38551u,38561u,38582u,38593u,38615u,38625u,38629u,38633u,
	    38643u,38645u,38647u,38721u,38725u,38729u,38737u,38743u,38753u,38754u,
	    38757u,38760u,38761u,38763u,38769u,38771u,38773u,38775u,38785u,38817u,
	    38818u,38821u,38824u,38825u,38833u,38835u,38837u,38838u,38839u,38840u,
	    39009u,39010u,39013u,39017u,
	    39025u,39027u,39029u,39030u,39031u,39037u,39041u,39042u,39045u,39049u,
	    39057u,39059u,39061u,39062u,39063u,39137u,39138u,39141u,39145u,39147u,
	    39148u,39153u,39155u,39157u,39158u,39159u,39165u,39233u,39234u,39237u,
	    39241u,39249u,39251u,39253u,39254u,39255u,39265u,39286u,39329u,39330u,
	    39333u,39337u,39351u,39361u,39369u,39393u,39489u,39493u,39553u,39554u,
	    39557u,39561u,39568u,39569u,39575u,39617u,39649u,39653u,39657u,39665u,
	    39667u,39671u,39777u,39778u,39781u,39784u,39785u,39793u,39795u,39797u,
	    39809u,39813u,39817u,39825u,39827u,39841u,39845u,39849u,39857u,39859u,
	    39861u,39863u,40033u,40034u,40037u,40041u,40049u,40051u,40053u,40054u,
	    40055u,40056u,40060u,40061u,
	    40065u,40066u,40069u,40073u,40081u,40083u,40085u,40086u,40087u,40097u,
	    40098u,40101u,40117u,40119u,40161u,40162u,40165u,40169u,40177u,40179u,
	    40181u,40182u,40183u,40189u,40257u,40258u,40261u,40265u,40273u,40275u,
	    40277u,40279u,40289u,40290u,40293u,40297u,40305u,40307u,40309u,40310u,
	    40311u,40321u,40325u,40339u,40341u,40353u,40354u,40357u,40361u,40369u,
	    40371u,40373u,40375u,40385u,40389u,40407u,40438u,40513u,40517u,40521u,
	    40529u,40531u,40533u,40535u,40545u,40549u,40553u,40563u,40565u,40567u,
	    40577u,40578u,40581u,40585u,40593u,40595u,40597u,40599u,40609u,40630u,
	    40641u,40673u,40674u,40677u,40681u,40689u,40693u,40695u,40769u,40770u,
	    40773u,40777u,40785u,40787u,
	    40789u,40791u,40801u,40802u,40805u,40809u,40817u,40819u,40821u,40823u,
	    40824u,40827u,40828u,40865u,40866u,40869u,40873u,40881u,40883u,40885u,
	    40887u,41057u,41058u,41061u,41063u,41064u,41065u,41066u,41067u,41073u,
	    41075u,41077u,41079u,41080u,41083u,41085u,41089u,41090u,41093u,41097u,
	    41105u,41107u,41109u,41110u,41111u,41112u,41121u,41122u,41129u,41143u,
	    41185u,41186u,41189u,41193u,41195u,41201u,41203u,41205u,41207u,41208u,
	    41213u,41281u,41282u,41285u,41289u,41297u,41299u,41301u,41302u,41303u,
	    41313u,41314u,41317u,41321u,41333u,41334u,41335u,41337u,41345u,41377u,
	    41378u,41380u,41381u,41385u,41387u,41393u,41395u,41397u,41399u,41409u,
	    41413u,41430u,41431u,41537u,
	    41541u,41545u,41555u,41557u,41559u,41569u,41573u,41577u,41587u,41589u,
	    41601u,41602u,41603u,41605u,41608u,41609u,41610u,41611u,41617u,41619u,
	    41621u,41623u,41627u,41629u,41633u,41637u,41641u,41651u,41653u,41665u,
	    41697u,41701u,41705u,41793u,41797u,41801u,41809u,41813u,41825u,41829u,
	    41833u,41841u,41845u,41889u,41890u,41893u,41896u,41897u,41899u,41905u,
	    41907u,41909u,41910u,41911u,41913u,41915u,42081u,42082u,42083u,42084u,
	    42085u,42088u,42089u,42090u,42091u,42092u,42097u,42099u,42101u,42103u,
	    42107u,42113u,42114u,42117u,42121u,42129u,42131u,42133u,42134u,42135u,
	    42139u,42145u,42146u,42149u,42163u,42209u,42210u,42213u,42216u,42217u,
	    42219u,42225u,42227u,42229u,
	    42231u,42232u,42305u,42306u,42309u,42312u,42313u,42321u,42323u,42325u,
	    42326u,42327u,42337u,42338u,42341u,42345u,42355u,42357u,42358u,42359u,
	    42363u,42369u,42373u,42401u,42402u,42403u,42405u,42409u,42417u,42419u,
	    42421u,42423u,42433u,42437u,42454u,42465u,42486u,42561u,42562u,42565u,
	    42569u,42577u,42579u,42593u,42597u,42625u,42626u,42629u,42632u,42633u,
	    42634u,42635u,42641u,42643u,42645u,42647u,42651u,42652u,42657u,42665u,
	    42678u,42689u,42721u,42722u,42725u,42729u,42743u,42817u,42821u,42825u,
	    42833u,42837u,42839u,42849u,42850u,42853u,42857u,42865u,42867u,42869u,
	    42913u,42914u,42917u,42921u,42923u,42929u,42931u,42933u,42935u,42936u,
	    42937u,43105u,43106u,43109u,
	    43113u,43115u,43121u,43123u,43125u,43126u,43127u,43133u,43137u,43138u,
	    43141u,43145u,43153u,43155u,43157u,43158u,43159u,43169u,43170u,43185u,
	    43233u,43234u,43237u,43240u,43241u,43249u,43253u,43254u,43255u,43329u,
	    43351u,43361u,43362u,43377u,43379u,43381u,43382u,43383u,43425u,43426u,
	    43429u,43433u,43441u,43443u,43447u,43585u,43617u,43639u,43649u,43650u,
	    43653u,43657u,43665u,43669u,43671u,43841u,43863u,43873u,43877u,43881u,
	    43889u,43891u,43937u,43938u,43941u,43945u,43953u,43955u,43957u,43959u,
	    44129u,44130u,44132u,44133u,44136u,44137u,44138u,44139u,44145u,44147u,
	    44149u,44150u,44151u,44155u,44161u,44162u,44165u,44169u,44177u,44179u,
	    44181u,44182u,44183u,44193u,
	    44194u,44197u,44201u,44209u,44211u,44213u,44215u,44225u,44229u,44233u,
	    44241u,44247u,44257u,44258u,44259u,44260u,44261u,44264u,44265u,44267u,
	    44268u,44273u,44275u,44277u,44278u,44279u,44284u,44353u,44354u,44357u,
	    44361u,44369u,44371u,44373u,44374u,44375u,44385u,44386u,44389u,44393u,
	    44401u,44403u,44405u,44406u,44407u,44417u,44421u,44425u,44439u,44449u,
	    44450u,44451u,44453u,44457u,44459u,44465u,44467u,44469u,44471u,44475u,
	    44481u,44482u,44485u,44489u,44503u,44513u,44517u,44521u,44529u,44533u,
	    44534u,44609u,44613u,44617u,44625u,44627u,44629u,44641u,44642u,44645u,
	    44649u,44657u,44659u,44661u,44663u,44673u,44674u,44677u,44680u,44681u,
	    44689u,44691u,44693u,44695u,
	    44697u,44699u,44700u,44705u,44726u,44737u,44738u,44741u,44745u,44753u,
	    44759u,44769u,44770u,44773u,44777u,44785u,44787u,44789u,44791u,44865u,
	    44866u,44873u,44881u,44885u,44887u,44897u,44898u,44901u,44905u,44906u,
	    44913u,44915u,44917u,44919u,44961u,44962u,44965u,44968u,44969u,44976u,
	    44977u,44979u,44981u,44983u,44988u,45153u,45154u,45156u,45157u,45161u,
	    45169u,45171u,45174u,45175u,45181u,45185u,45186u,45189u,45193u,45201u,
	    45203u,45206u,45207u,45239u,45281u,45282u,45285u,45289u,45291u,45297u,
	    45299u,45302u,45303u,45377u,45381u,45385u,45385u,45473u,45474u,45477u,
	    45480u,45481u,45483u,45489u,45491u,45495u,45505u,45506u,45509u,45526u,
	    45537u,45558u,45633u,45637u,
	    45641u,45649u,45651u,45665u,45697u,45698u,45701u,45705u,45713u,45715u,
	    45719u,45729u,45750u,45761u,45793u,45797u,45911u,45921u,45922u,45925u,
	    45929u,45931u,45936u,45937u,45939u,45953u,45957u,45961u,45969u,45985u,
	    45986u,45989u,45993u,46001u,46003u,46005u,46007u,46177u,46178u,46181u,
	    46182u,46183u,46185u,46186u,46187u,46192u,46193u,46195u,46197u,46198u,
	    46199u,46203u,46204u,46209u,46210u,46213u,46217u,46225u,46227u,46229u,
	    46230u,46231u,46241u,46242u,46245u,46249u,46252u,46257u,46259u,46261u,
	    46263u,46267u,46269u,46273u,46277u,46281u,46291u,46305u,46306u,46309u,
	    46310u,46312u,46313u,46314u,46315u,46321u,46323u,46324u,46325u,46326u,
	    46327u,46328u,46330u,46332u,
	    46401u,46402u,46405u,46409u,46417u,46419u,46421u,46423u,46433u,46434u,
	    46435u,46437u,46441u,46443u,46444u,46449u,46451u,46452u,46453u,46454u,
	    46455u,46459u,46460u,46461u,46465u,46469u,46473u,46481u,46483u,46485u,
	    46486u,46497u,46498u,46501u,46505u,46506u,46507u,46509u,46512u,46513u,
	    46515u,46517u,46519u,46521u,46529u,46530u,46533u,46537u,46545u,46547u,
	    46549u,46550u,46551u,46561u,46562u,46565u,46577u,46581u,46583u,46657u,
	    46658u,46661u,46665u,46673u,46675u,46677u,46679u,46689u,46690u,46693u,
	    46697u,46705u,46707u,46709u,46711u,46721u,46722u,46725u,46729u,46730u,
	    46731u,46737u,46739u,46741u,46743u,46753u,46754u,46757u,46761u,46769u,
	    46771u,46774u,46775u,46785u,
	    46786u,46789u,46793u,46801u,46803u,46807u,46817u,46818u,46821u,46825u,
	    46833u,46835u,46837u,46839u,46913u,46914u,46917u,46921u,46929u,46931u,
	    46933u,46935u,46937u,46945u,46946u,46949u,46953u,46959u,46961u,46963u,
	    46965u,46967u,46968u,46969u,46970u,46971u,46972u,46973u,46977u,46981u,
	    46985u,46993u,46997u,47009u,47010u,47013u,47017u,47018u,47019u,47024u,
	    47025u,47027u,47029u,47030u,47031u,47032u,47036u,47201u,47202u,47205u,
	    47207u,47208u,47209u,47211u,47217u,47219u,47221u,47222u,47223u,47224u,
	    47233u,47234u,47237u,47241u,47249u,47251u,47253u,47254u,47255u,47265u,
	    47266u,47269u,47271u,47273u,47281u,47287u,47297u,47301u,47305u,47329u,
	    47330u,47333u,47337u,47339u,
	    47345u,47347u,47349u,47351u,47352u,47425u,47426u,47429u,47433u,47441u,
	    47443u,47445u,47447u,47457u,47461u,47465u,47473u,47475u,47478u,47479u,
	    47489u,47521u,47522u,47525u,47529u,47531u,47537u,47539u,47541u,47543u,
	    47544u,47545u,47549u,47553u,47554u,47561u,47571u,47573u,47575u,47585u,
	    47606u,47607u,47681u,47685u,47689u,47697u,47699u,47701u,47703u,47713u,
	    47714u,47717u,47735u,47745u,47746u,47749u,47753u,47754u,47755u,47761u,
	    47763u,47765u,47767u,47777u,47798u,47809u,47841u,47842u,47845u,47849u,
	    47857u,47859u,47861u,47937u,47941u,47945u,47953u,47969u,47970u,47973u,
	    47977u,47985u,47987u,47989u,47991u,48033u,48034u,48037u,48040u,48041u,
	    48043u,48049u,48051u,48053u,
	    48055u,48056u,48059u,48060u,48225u,48226u,48229u,48231u,48233u,48236u,
	    48241u,48243u,48245u,48246u,48247u,48257u,48258u,48261u,48265u,48273u,
	    48275u,48277u,48278u,48279u,48289u,48293u,48311u,48353u,48354u,48357u,
	    48361u,48369u,48371u,48373u,48374u,48375u,48449u,48471u,48481u,48502u,
	    48545u,48546u,48549u,48553u,48561u,48563u,48565u,48567u,48569u,48577u,
	    48578u,48585u,48598u,48609u,48630u,48705u,48709u,48713u,48721u,48723u,
	    48759u,48769u,48770u,48773u,48777u,48785u,48787u,48791u,48801u,48822u,
	    48823u,48865u,48961u,48993u,49009u,49013u,49015u,49057u,49058u,49061u,
	    49065u,49073u,49075u,49079u,49080u,49085u,49249u,49250u,49253u,49255u,
	    49257u,49265u,49267u,49269u,
	    49270u,49271u,49272u,49281u,49282u,49285u,49289u,49297u,49299u,49301u,
	    49302u,49303u,49313u,49317u,49319u,49321u,49329u,49335u,49377u,49378u,
	    49381u,49385u,49393u,49395u,49397u,49398u,49399u,49473u,49474u,49477u,
	    49481u,49489u,49491u,49493u,49495u,49505u,49509u,49526u,49537u,49541u,
	    49559u,49569u,49570u,49573u,49577u,49585u,49587u,49589u,49591u,49601u,
	    49605u,49609u,49623u,49729u,49733u,49737u,49745u,49747u,49749u,49751u,
	    49761u,49777u,49793u,49794u,49797u,49801u,49809u,49811u,49813u,49815u,
	    49825u,49846u,49857u,49861u,49889u,49893u,49897u,49905u,49907u,49909u,
	    49911u,49985u,49989u,49993u,50001u,50007u,50017u,50018u,50021u,50025u,
	    50033u,50035u,50037u,50039u,
	    50081u,50082u,50085u,50088u,50089u,50090u,50097u,50099u,50101u,50103u,
	    50273u,50274u,50277u,50281u,50289u,50291u,50293u,50295u,50305u,50306u,
	    50309u,50313u,50321u,50323u,50325u,50326u,50327u,50337u,50338u,50359u,
	    50401u,50402u,50405u,50408u,50409u,50417u,50419u,50421u,50422u,50423u,
	    50497u,50498u,50501u,50505u,50513u,50515u,50517u,50519u,50529u,50533u,
	    50537u,50545u,50547u,50549u,50550u,50551u,50561u,50593u,50594u,50597u,
	    50601u,50609u,50611u,50613u,50615u,50625u,50626u,50629u,50633u,50641u,
	    50647u,50657u,50679u,50753u,50761u,50785u,50817u,50818u,50821u,50825u,
	    50833u,50835u,50837u,50839u,50849u,50853u,50857u,50871u,50881u,50903u,
	    50913u,50914u,50917u,50921u,
	    50929u,50931u,50933u,50935u,51009u,51013u,51017u,51025u,51041u,51042u,
	    51045u,51049u,51057u,51059u,51063u,51105u,51106u,51109u,51113u,51121u,
	    51123u,51125u,51127u,51297u,51298u,51301u,51305u,51306u,51313u,51315u,
	    51317u,51318u,51319u,51329u,51330u,51333u,51337u,51345u,51347u,51349u,
	    51350u,51351u,51361u,51383u,51425u,51426u,51429u,51433u,51435u,51441u,
	    51443u,51445u,51446u,51447u,51521u,51522u,51525u,51529u,51537u,51539u,
	    51541u,51543u,51553u,51557u,51574u,51585u,51589u,51617u,51618u,51621u,
	    51625u,51633u,51635u,51637u,51639u,51644u,51649u,51653u,51681u,51777u,
	    51781u,51797u,51799u,51809u,51841u,51842u,51845u,51849u,51857u,51859u,
	    51861u,51863u,51873u,51894u,
	    51905u,51937u,51938u,51941u,51945u,51953u,51955u,51959u,52033u,52037u,
	    52041u,52049u,52055u,52065u,52066u,52069u,52072u,52073u,52075u,52081u,
	    52083u,52085u,52097u,52101u,52105u,52113u,52115u,52129u,52130u,52133u,
	    52137u,52145u,52147u,52149u,52151u,52321u,52322u,52323u,52325u,52329u,
	    52331u,52337u,52339u,52341u,52342u,52343u,52347u,52353u,52354u,52357u,
	    52361u,52369u,52371u,52373u,52374u,52375u,52385u,52386u,52449u,52450u,
	    52453u,52457u,52465u,52467u,52469u,52470u,52471u,52545u,52546u,52549u,
	    52553u,52561u,52563u,52565u,52567u,52577u,52581u,52585u,52593u,52595u,
	    52598u,52599u,52609u,52617u,52627u,52629u,52641u,52642u,52645u,52649u,
	    52657u,52659u,52661u,52663u,
	    52673u,52695u,52801u,52805u,52833u,52837u,52841u,52851u,52853u,52865u,
	    52866u,52869u,52872u,52873u,52875u,52881u,52883u,52885u,52887u,52897u,
	    52919u,52961u,52965u,52969u,52977u,52981u,53057u,53061u,53065u,53073u,
	    53077u,53079u,53089u,53093u,53097u,53105u,53107u,53109u,53153u,53154u,
	    53157u,53161u,53169u,53171u,53173u,53175u,53345u,53346u,53349u,53353u,
	    53358u,53361u,53363u,53365u,53367u,53377u,53378u,53381u,53385u,53393u,
	    53395u,53397u,53398u,53399u,53409u,53431u,53473u,53474u,53477u,53481u,
	    53483u,53489u,53491u,53493u,53495u,53569u,53570u,53573u,53577u,53585u,
	    53587u,53589u,53591u,53601u,53602u,53605u,53609u,53617u,53619u,53621u,
	    53622u,53623u,53633u,53637u,
	    53641u,53651u,53665u,53666u,53669u,53673u,53678u,53681u,53683u,53685u,
	    53687u,53691u,53697u,53698u,53701u,53705u,53717u,53719u,53729u,53730u,
	    53733u,53749u,53751u,53825u,53826u,53829u,53833u,54195u,53845u,53847u,
	    53857u,53861u,53865u,53875u,53877u,53889u,53890u,53893u,53897u,53902u,
	    53905u,53909u,53911u,53921u,53925u,53929u,53937u,53943u,53953u,53954u,
	    53957u,53961u,53975u,53985u,53986u,53989u,53993u,54001u,54003u,54005u,
	    54007u,54081u,54082u,54085u,54089u,54097u,54101u,54103u,54113u,54114u,
	    54117u,54119u,54120u,54121u,54122u,54129u,54131u,54133u,54135u,54139u,
	    54145u,54149u,54153u,54161u,54163u,54167u,54177u,54178u,54181u,54185u,
	    54193u,54195u,54197u,54199u
};


//  

// ȭ ǥ 


// Լ 
void Clrscr(void);						// ü ȭ 
void Cleardevice(void);						// ü ȭ 
void Gotoxy(int x,int y);					// ׷ ǥ 
void Gotoxyt(int x,int y);					// ؽƮ ǥ 

void Setcolor(unsigned color);					// ڻ (_WHITE,_BLACK,..)
void Setbkcolor(unsigned color);				//  (_WHITE,_BLACK,..)
void ScreenSet(int mode,int x1,int y1,int x2,int y2);		// ǥ ȭ 

void Putch(unsigned c); 					// ڸ 
void Putchxy(int x,int y,unsigned c);				// ׷ ǥ  
void Putchxyt(int x,int y,unsigned c);				// ؽƮ ǥ  

void Puts(const char *str);					// ڿ 
void Putsxy(int x,int y,const char *str);			// ׷ ǥ ڿ 
void Putsxyt(int x,int y,const char *str);			// ؽƮ ǥ ڿ 

void Puts_f(const char flash *str);				// CODE ڿ 
void Putsxy_f(int x,int y,const char flash *str);		// ׷ ǥ CODE ڿ 
void Putsxyt_f(int x,int y,const char flash *str);		// ؽƮ ǥ CODE ڿ 

void Line(int x1,int y1,int x2,int y2);				// ׷ǥ  ׸
void Rectangle(int x1,int y1,int x2,int y2);			// ׷ ǥ ڽ ׸
void Rectanglefill(int x1,int y1,int x2,int y2);		// ä ڽ ׸
void Circle(int xx,int yy,int radius);				//  ׸
void Ellipse(int xx,int yy,int a0,int b0);			// Ÿ ׸

void Putpixelb(int x,int y,unsigned char datac,unsigned color);	// ȭ鿡 Ʈ 
void PutImage(unsigned char dbuf[],int xsize,int ysize);	// ǥ ̹ 
void Putpixel(int x,int y,unsigned color);			//  ġ Į ̿  

void Han_Conv(char *buf);					// ϼ(SRAM)  (SRAM) ȯ
void Han_Conv_f(char flash *buf);				// ϼ(FLASH) (SRAM) ȯ
void RGB_Disp(void);						// ȭ鿡 RGB  ǥ

void symmetry4(int xx,int yy,int x,int y);
void _Plotcircle(int xx,int yy,int x,int y);

void _Putch(unsigned int c);					// 1Ʈ  
void *_GetHanImage(unsigned c);					// ѱ Ʈ ε
void _memor(unsigned char *s1,unsigned char flash *s2, int len);// ѱ Ʈ 
unsigned char* _GetAscImage(int c);		        	//  Ʈ  ε

// LCD H/W 
void Clcd_Init(void);						// Golor LCD Init
void CLCD_Command_Data(int regnum,unsigned datau);		// شּҿ Register NO.+Data Write
void CLCD_Command(int regnum);					// CLCD Command Register NO. write
void CLCD_Cdata(unsigned datau);				// CLCD Command Register Data write
unsigned CLCD_GRAM_dread(void);					// CLCD GRAM Data read
void lcd_delay(unsigned short time);				// LCD ð Լ time*1ms

//  
int _screen_mode = 0			;				// ȭ ǥù 
int _screen_xmax = 319			;				// θ ִ밪
int _screen_ymax = 239			;				// θ ִ밪
unsigned _screen_color = 0xffff				;				// ڻ 
unsigned _screen_bkcolor = 0x0000;				//  
int _screen_curx = 0;						// X ǥ 
int _screen_cury = 0;						// Yǥ 

static unsigned char ib[73];					// ѱ  
static unsigned char ascii_fbuf[50];                            //    
static unsigned char han_conv_buf[101];				// ѱ    

// =============================== LCD ȭ  ===============================
// [μ] void
// [] 320*240
// -----------------------------------------------------------------------------
void Clrscr(void)
{
	Cleardevice();						// ȭ 
}

// =============================== LCD ȭ  ===============================
// [μ] void
// []  ȭ(0,0,319,239)
//         ȭ(0,0,239,319)
// -----------------------------------------------------------------------------
void Cleardevice(void)
{
unsigned short i,j;

	if(_screen_mode == 0			) ScreenSet(0			,0,0,319			,239			);// ǥȭ  
	else ScreenSet(1			,0,0,239			,319			);// ǥȭ  

	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	(*(unsigned char *) 0x65) |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1

	for(i = 0; i <= _screen_ymax; i++){
		PORTA = 0x00;					// BLACK
		PORTC = 0x00;
		for(j = 0; j <= _screen_xmax; j++){
			(*(unsigned char *) 0x65) &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
			(*(unsigned char *) 0x65) |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
        	}
	}
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	_screen_curx = _screen_cury = 0;
}

// ============================= ׷ ǥ  ==============================
// [μ] int x,int y
// Item1:  xǥ : θ ǥý(0-319) / θ ǥý(0-239)
// Item2:  yǥ : θ ǥý(0-239) / θ ǥý(0-319)
// []  ȭ(0,0,319,239)
//         ȭ(0,0,239,319)
// -----------------------------------------------------------------------------
void Gotoxy(int x,int y)
{
	if(x >= 0 && x <= _screen_xmax){			// X ʰ ˻
		if(y >= 0 && y <= _screen_ymax){		// Y ʰ ˻
			_screen_curx = x;
			_screen_cury = y;
		}
	}
}

// ======================= ȭ鿡 ؽƮ ǥ  ===========================
// [μ] int x,int y
// Item1:  xǥ : θ ǥý(1-20) / θ ǥý(1-10)
// Item2:  yǥ : θ ǥý(1-10) / θ ǥý(1-20)
// []  ȭ(1,1,40,15)
//         ȭ(1,1,15,40)
// [] _screen_curx,_screen_cury
// -----------------------------------------------------------------------------
void Gotoxyt(int x,int y)
{
int x1 = (x-1) * 16,y1;

	y1 = (y-1) * 24;
	if(x1 >= 0 && x1 <= _screen_xmax){
		if(y1 >= 0 && y1 <= _screen_ymax){
			_screen_curx = x1;
			_screen_cury = y1;
		}
	}
}

// =============================== ڻ  ===============================
// [μ] unsigned color
// Item1: ڻ(_WHITE,_BLACK,..)
// -----------------------------------------------------------------------------
void Setcolor(unsigned color)
{
	_screen_color = color;					// ڻ 
}

// ===============================   ===============================
// [μ] unsigned color
// Item1: (_WHITE,_BLACK,..)
// -----------------------------------------------------------------------------
void Setbkcolor(unsigned color)
{
	_screen_bkcolor = color;				// ڻ 
}

// =========================== ǥ ȭ  ==================================
// [μ] int mode,int x1,int y1, int x2, int y2
// Item1: ũ (_SCREEN_COLUMN_SET,_SCREEN_ROW_SET)
//        _SCREEN_COLUMN_SET : ȭ  ġ : ʻ(0,0,319,239)
//        _SCREEN_ROW_SET    : ȭ  ġ : ʻ(0,0,239,320)
// Item2:  xǥ : θ ǥý(0-319) / θ ǥý(0-239)
// Item3:  yǥ : θ ǥý(0-239) / θ ǥý(0-319)
// Item4:  xǥ   : θ ǥý(0-319) / θ ǥý(0-239)
// Item5:  yǥ   : θ ǥý(0-319) / θ ǥý(0-319)
// []  ȭ(0,0,319,239)
//         ȭ(0,0,239,319)
// -----------------------------------------------------------------------------
void ScreenSet(int mode,int x1,int y1,int x2,int y2)
{
	if(mode == 0			){
		CLCD_Command_Data(0x16,0x00a8);			// Memory Access Contro : MV=1, MX=0, MY=1, BGR=1 mode.
		_screen_mode = 0			;		// ȭ  ġ
		_screen_xmax = x2;				// θ ִ밪
		_screen_ymax = y2;				// θ ִ밪
	}
	else{
		CLCD_Command_Data(0x16,0x00c8);			// Memory Access Contro : MV=1, MX=1, MY=1, BGR=1 mode.
		_screen_mode = 1			;			// ȭ  ġ
		_screen_xmax = x2;				// θ ִ밪
		_screen_ymax = y2;				// θ ִ밪
	}
	CLCD_Command_Data(0x02,(x1>>8)&0xff);			// Column Address Start Register SC[8..15]
	CLCD_Command_Data(0x03,x1&0xff);			// Column Address Start Register SC[0..7]

	CLCD_Command_Data(0x06,(y1>>8)&0xff);			// Row Address Start Register SP[8..15]
	CLCD_Command_Data(0x07,y1&0xff);			// Row Address Start Register SP[0..7]

	CLCD_Command_Data(0x04,(x2>>8)&0xff);			// Column Address End Register EC[8..15]
	CLCD_Command_Data(0x05,x2&0xff);			// Column Address End Register EC[0..7]

	CLCD_Command_Data(0x08,(y2>>8)&0xff);			// Row Address End Register EP[8..15]
	CLCD_Command_Data(0x09,y2&0xff);			// Row Address End Register EP[0..7]
}

// ============================== ѹڸ  Ѵ. ==========================
// [μ] unsigned c
// Item1:  (ѱ ڵ )
// -----------------------------------------------------------------------------
void Putch(unsigned c)
{
	_Putch(c&0xff);						// 1Ʈ ڸ ǥ
}

// ================  ׷ ǥ ѹڸ  Ѵ. ===================
// [μ] int x
//	  int y
//	  unsigned c
// Item1:    ġ(0 - 319)
// Item2:    ġ(0 - 239)
// Item3:  (ѱ ڵ )
// -----------------------------------------------------------------------------
void Putchxy(int x,int y,unsigned c)
{
	Gotoxy(x,y);						// Base Cursor Point Set
	Putch(c);						// 1Ʈ ڸ ǥ
}

// ===================  ؽƮ ǥ ѹڸ  Ѵ. ================
// [μ] int x
//	  int y
//	  unsigned c
// Item1:  xǥ : θ ǥý(1-20) / θ ǥý(1-10)
// Item2:  yǥ : θ ǥý(1-10) / θ ǥý(1-20)
// Item3:  (ѱ ڵ )
// -----------------------------------------------------------------------------
void Putchxyt(int x,int y,unsigned c)
{
	Gotoxyt(x,y);						// Base Cursor Point Set
	Putch(c);						// 1Ʈ ڸ ǥ
}

// ====================  Ŀ ġ  ڿ  Ѵ. ==================
// [μ] const char *str
// Item1:  ڿ(ѿ)
// -----------------------------------------------------------------------------
void Puts(const char *str)
{
unsigned char byte1st = 0,c;
unsigned datau,i = 0;

	Han_Conv((char*)str);					// ϼ  ȯ
	while((c = han_conv_buf[i++]) != 0){			// ҽ Han_Conv() 
//	while((c = *str++) != 0){				// 쿡 ϼ->  
		if(byte1st){
			datau = ((unsigned)byte1st << 8) | (unsigned)c;
			_Putch(datau);				// ѱ ڸ ǥ
			byte1st = 0;                    	
		}                                       	
		else if(c & 0x80){                      	
			byte1st = c;				// ѱ Ÿ 
		}                                       	
		else{                                   	
			if(c == 0x0a){				//  ǵ
				_Putch(0x0d);           	
				_Putch(0x0a);           	
			}                               	
			else _Putch(c); 			//  ڸ ǥ
		}
	}
}

// ================  Ŀ ġ  FLASH ڿ  Ѵ. ================
// [μ] const char *str
// Item1:  ڿ FLASH(ѿ)
// -----------------------------------------------------------------------------
void Puts_f(const char flash *str)
{
unsigned char byte1st = 0,c;
unsigned datau,i = 0;

	Han_Conv_f((char flash*)str);				// ϼ  ȯ
	while((c = han_conv_buf[i++]) != 0){			// ҽ Han_Conv() 
//	while((c = *str++) != 0){				// 쿡 ϼ->  
		if(byte1st){
			datau = ((unsigned)byte1st << 8) | (unsigned)c;
			_Putch(datau);				// ѱ ڸ ǥ
			byte1st = 0;                    	
		}                                       	
		else if(c & 0x80){                      	
			byte1st = c;				// ѱ Ÿ 
		}                                       	
		else{                                   	
			if(c == 0x0a){				//  ǵ
				_Putch(0x0d);           	
				_Putch(0x0a);           	
			}                               	
			else _Putch(c); 			//  ڸ ǥ
		}
	}
}

// ==================  ׷ ġ  ڿ  Ѵ. ==================
// [μ] int x
//        int x
//	  const char *str
// Item1: Ŀ  ǥ(0 - 319)
// Item2: Ŀ  ǥ(0 - 239)
// Item3:  ڿ(ѿ)
// -----------------------------------------------------------------------------
void Putsxy(int x,int y,const char *str)
{
	Gotoxy(x,y);						// Ŀ ġ 
	Puts(str);						// ڿ ǥ
}

// ================  ׷ ġ FLASH ڿ  Ѵ. ===============
// [μ] int x
//	  int x
//	  const char flash *str
// Item1: Ŀ  ǥ(0 - 319)
// Item2: Ŀ  ǥ(0 - 239)
// Item3:  ڿ FLASH(ѿ)
// -----------------------------------------------------------------------------
void Putsxy_f(int x,int y,const char flash *str)
{
	Gotoxy(x,y);						// Ŀ ġ 
	Puts_f(str);						// ڿ ǥ
}

// ================  ؽƮ ġ  ڿ  Ѵ. ====================
// [μ] int x
//	   int y
//	   const char *str
// Item1:  xǥ : θ ǥý(1-20) / θ ǥý(1-10)
// Item2:  yǥ : θ ǥý(1-10) / θ ǥý(1-20)
// Item3:  ڿ(ѿ)
// -----------------------------------------------------------------------------
void Putsxyt(int x,int y,const char *str)
{
	Gotoxyt(x,y);						// Ŀ ġ 
	Puts(str);						// ڿ ǥ
}

// ===============  ؽƮ ġ FLASH ڿ  Ѵ. ================
//  [μ] int x
//	   int y
//	   const char flash *str
// Item1:  xǥ : θ ǥý(1-20) / θ ǥý(1-10)
// Item2:  yǥ : θ ǥý(1-10) / θ ǥý(1-20)
// Item3:  ڿ FLASH(ѿ)
// -----------------------------------------------------------------------------
void Putsxyt_f(int x,int y,const char flash *str)
{
	Gotoxyt(x,y);						// Ŀ ġ 
	Puts_f(str);						// ڿ ǥ
}

// ============== ׷ LCD  ġ   ׸ ==============
// [μ] int x1
//	  int y1
//	  int x2
//	  int y2
// Item1:  xǥ
// Item2:  yǥ
// Item3:  xǥ
// Item4:  yǥ
// -----------------------------------------------------------------------------
void Line(int x1,int y1,int x2,int y2)
{
int i,vdx,vdy,vix,viy,vinc,plot,plotx,ploty,x = 0,y = 0;

	vdx = x2 - x1;						// vdx = x2 - x1
	vdy = y2 - y1;						// vdy = y2 - y1
	vix = abs(vdx);						// vix = |vdx|
	viy = abs(vdy); 					// vix = |vdx|
	if(vix > viy) vinc = vix;				// vinc = vix ? viy;
	else vinc = viy;

	plotx = x1;
	ploty = y1;
	Putpixel(plotx,ploty,_screen_color);
	for(i = 0; i <= vinc; i++){
		x += vix;
		y += viy;
		plot = 0;
		if(x > vinc){
			x -= vinc;
			if(vdx > 0) plotx++;
			if(vdx < 0) plotx--;
			plot = 1;
		}
		if(y > vinc){
			y -= vinc;
			if(vdy > 0) ploty++;
			if(vdy < 0) ploty--;
			plot = 1;
		}
		if(plot)Putpixel(plotx,ploty,_screen_color);
	}
	if(_screen_mode == 0			) ScreenSet(0			,0,0,319			,239			);// ǥȭ  
	else ScreenSet(1			,0,0,239			,319			);// ǥȭ  
}

// ================================== ڽ ׸ =============================
// [μ] int x1,int y1, int x2, int y2
// Item1:  xǥ(0-319)
// Item2:  yǥ(0-219)
// Item3:  xǥ(0-319)
// Item4:  yǥ(0-219)
// Item5: ǥ (_RED,_GREEN,BLUE,_WHITE,_BLACK...)
// []  ȭ(0,0,319,239)
//         ȭ(0,0,239,319)
// -----------------------------------------------------------------------------
void Rectangle(int x1,int y1,int x2,int y2)
{
int i,j;

//  μ ׸
	ScreenSet(_screen_mode,x1,y1,x2,y1);			// ǥ ȭ 
	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
	for(i = 0; i <= (y1-y1); i++){
		for(j = 0; j <= (x2-x1); j++){
			(*(unsigned char *) 0x65) &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
			(*(unsigned char *) 0x65) |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
		}
	}
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	
//  μ ׸
	ScreenSet(_screen_mode,x1,y1,x1,y2);			// ǥ ȭ 
	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
	for(i = 0; i <= (y2-y1); i++){
		for(j = 0; j <= (x1-x1); j++){
			(*(unsigned char *) 0x65) &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
			(*(unsigned char *) 0x65) |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
		}
	}
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1

// Ʒ μ ׸
	ScreenSet(_screen_mode,x1,y2,x2,y2);			// ǥ ȭ 
	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
	for(i = 0; i <= (y2-y2); i++){
		for(j = 0; j <= (x2-x1); j++){
			(*(unsigned char *) 0x65) &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
			(*(unsigned char *) 0x65) |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
		}
	}
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1

//  μ ׸
	ScreenSet(_screen_mode,x2,y1,x2,y2);			// ǥ ȭ 
	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
	for(i = 0; i <= (y2-y1); i++){
		for(j = 0; j <= (x2-x2); j++){
			(*(unsigned char *) 0x65) &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
			(*(unsigned char *) 0x65) |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
		}
	}
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1

	if(_screen_mode == 0			) ScreenSet(0			,0,0,319			,239			);// ǥȭ  
	else ScreenSet(1			,0,0,239			,319			);// ǥȭ  
}

// ============================== ä ڽ ׸ ===========================
// [μ] int x1,int y1, int x2, int y2
// Item1:  xǥ(0-319)
// Item2:  yǥ(0-219)
// Item3:  xǥ(0-319)
// Item4:  yǥ(0-219)
// Item5: ǥ (_RED,_GREEN,BLUE,_WHITE,_BLACK...)
// []  ȭ(0,0,319,239)
//         ȭ(0,0,239,319)
// -----------------------------------------------------------------------------
void Rectanglefill(int x1,int y1,int x2,int y2)
{
int i,j;

	ScreenSet(_screen_mode,x1,y1,x2,y2);			// ǥ ȭ (x1,y1,x2,y2)
	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	PORTA = _screen_color & 0xff;				// PORTA = datau[0..7]
	PORTC = (_screen_color >> 8) & 0xff;			// PORTC = datau[8..15]
	for(i = 0; i <= (y2-y1); i++){
		for(j = 0; j <= (x2-x1); j++){
			(*(unsigned char *) 0x65) &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
			(*(unsigned char *) 0x65) |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
		}
	}
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1

	if(_screen_mode == 0			) ScreenSet(0			,0,0,319			,239			);// ǥȭ  
	else ScreenSet(1			,0,0,239			,319			);// ǥȭ  
}

// ===============================  ׸ ===================================
// [μ] int xx
//	  int yy
//	  int  radius
// Item1:  xǥ
// Item2:  yǥ
// Item3: 
// -----------------------------------------------------------------------------
void Circle(int xx,int yy,int radius)
{
int y = radius,d = 3-(y*2),x = 0;

	while(x < y){
		Putpixel(xx+x,yy+y,_screen_color);
		_Plotcircle(xx,yy,x,y);				// Ī Ŵ
		if(d < 0) d += (x*4+6);
		else{
			d += ((x-y)*4+10);
			y--;
		}
		x++;
	}
	if(x == y) Putpixel(xx+x,yy+y,_screen_color);
}

// ====================== ׸⿡ Ǵ Ī Լ ========================
void _Plotcircle(int xx,int yy,int x,int y)
{
	Putpixel(xx-x,yy+y,_screen_color);
	Putpixel(xx+x,yy-y,_screen_color);
	Putpixel(xx-x,yy-y,_screen_color);
	Putpixel(xx-y,yy+x,_screen_color);
	Putpixel(xx+y,yy-x,_screen_color);
	Putpixel(xx-y,yy-x,_screen_color);
	Putpixel(xx+y,yy+x,_screen_color);
}

// ================================== Ÿ ׸ ===============================
// [μ] int xx
//	  int yy
//	  int a0
//	  int b0
// Item1:  xǥ
// Item2:  yǥ
// Item3:  ݰ
// Item4:  ݰ
// -----------------------------------------------------------------------------
void Ellipse(int xx,int yy,int a0,int b0)
{
int x = 0,y = b0;
long a = a0,b = b0,a2 = a*a,a22 = 2*a2,b2 = b*b,b22 = 2*b2,d,dx,dy;

	d = b2-a2*b+a2/4L;
	dx=0L;
	dy=a22*b;
	while(dx < dy){
		symmetry4(xx,yy,x,y);
		if(d > 0){
			y--;
			dy-=a22;
			d-=dy;
		}
		x++;
		dx+=b22;
		d+=b2+dx;
	}
	d+=(3*(a2-b2)/2L-(dx+dy))/2L;
	while(y >= 0){
		symmetry4(xx,yy,x,y);
		if(d < 0){
			x++;
			dx+=b22;
			d+=dx;
		}
		y--;
		dy-=a22;
		d+=a2-dy;
	}
}

// ======================= Ÿ ׸⿡ Ǵ Ī Լ =====================
void symmetry4(int xx,int yy,int x,int y)
{
	Putpixel(xx-x,yy+y,_screen_color);
	Putpixel(xx+x,yy-y,_screen_color);
	Putpixel(xx-x,yy-y,_screen_color);
	Putpixel(xx+x,yy+y,_screen_color);
}

// ========================= ȭ ι 1BYTE  =======================
// [μ] int x,int y,unsigned char data,unsigned color
// Item1:  xǥ(0-319)
// Item2:  yǥ(0-219)
// Item3: ǥ (_RED,_GREEN,BLUE,_WHITE,_BLACK...)
// []  ȭ(0,0,319,239)
//         ȭ(0,0,239,319)
//        _screen_bkcolor :: (Setbkcolor())
// ------------------------------------------------------------------------------
void Putpixelb(int x,int y,unsigned char datac,unsigned color)
{
int x1,i,datai = datac;

	x1 = x+8;
	if(x1 >	_screen_xmax) x1 = _screen_xmax;		// θ ִ밪 ˻
	ScreenSet(_screen_mode,x,y,x1,y);			// ǥ ȭ 
	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	for(i = 0; i <= (x1-x); i++){
		if(datai & 0x80){				// D7 == 1 -> ڻ
			PORTA = color & 0xff;			// PORTA = datau[0..7]
			PORTC = color >> 8 & 0xff;		// PORTC = datau[8..15]
		}
		else{						// D7 == 0 -> 
			PORTA = _screen_bkcolor & 0xff;		// PORTA = datau[0..7]
			PORTC = (_screen_bkcolor >> 8) & 0xff;	// PORTC = datau[8..15]
		}
		(*(unsigned char *) 0x65) &= ~0x01;					// PORTG.0 :: CLCD_WR\ = 0
		(*(unsigned char *) 0x65) |= 0x01;					// PORTG.0 :: CLCD_WR\ = 1
		datai = datai << 1;				// data shift << 1
	}
	(*(unsigned char *) 0x65) &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
	(*(unsigned char *) 0x65) |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1

	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1

//	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
//	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
}

// ==========================  ǥ ̹ ============================
// [μ] unsigned char dbuf[],int xsize,int ysize
// Item1: ǥҵ 
// Item2: ̹ ũ(bit) X
// Item3: ̹ ũ(bit) Y
// []  ȭ(0,0,319,239)
//         ȭ(0,0,239,319)
//        _screen_color   : ڻ(Setcolor())
//        _screen_bkcolor : (Setbkcolor())
//        _screen_curx    : Xǥ(Gotoxy())
//        _screen_cury    : Yǥ(Gotoxy())
// ------------------------------------------------------------------------------
void PutImage(unsigned char dbuf[],int xsize,int ysize)
{
int i,k,lpos,datai,xbit;
int x = _screen_curx,y = _screen_cury;
int xcnt = xsize,ycnt = ysize;

	if((x+(xsize-1)) > _screen_xmax){			// X ʰ ˻ ǥ  
		xcnt = (_screen_xmax+1) - x;
	}
	if((y+(ysize-1)) > _screen_ymax){			// Y ʰ ˻ ǥ  
		ycnt = (_screen_ymax+1) - y;
	}
	ScreenSet(_screen_mode,x,y,(x+xcnt)-1,(y+ycnt)-1);	// ǥ ȭ 
	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	for(i = lpos = 0; i < ysize; i++){			// Y sizeŭ ǥ
		if((y+i) <= _screen_ymax){			// Y sizeŭ ǥ
			for(xbit = 0; xbit < xsize; ){		// X sizeŭ ǥ
				datai = (int)dbuf[lpos++];	//  
				for(k = 0; k < 8; k++,xbit++){	// 1byte ǥ
					if((x+xbit) <= _screen_xmax){// Xǥ   ǥ	
						if(datai & 0x80){// D7 == 1 -> ڻ
							PORTA = _screen_color & 0xff;// PORTA = datau[0..7]
							PORTC = _screen_color >> 8 & 0xff;// PORTC = datau[8..15]
						}
						else{		// D7 == 0 -> 
							PORTA = _screen_bkcolor & 0xff;	// PORTA = datau[0..7]
							PORTC = (_screen_bkcolor >> 8) & 0xff;// PORTC = datau[8..15]
						}
						(*(unsigned char *) 0x65) &= ~0x01;	// PORTG.0 :: CLCD_WR\ = 0
						(*(unsigned char *) 0x65) |= 0x01;	// PORTG.0 :: CLCD_WR\ = 1
						datai = datai << 1;// data shift << 1
					}
					
				}
			}
		}
	}
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1
// ü ȭ ǥ 	
	if(_screen_mode == 0			){
		_screen_xmax = 319			;		// θ ִ밪
		_screen_ymax = 239			;		// θ ִ밪
	}
	else{
		_screen_xmax = 239			;			// θ ִ밪
		_screen_ymax = 319			;			// θ ִ밪
	}
// Ŀ 
	_screen_curx += xsize;					// Xǥ 
	if(_screen_curx > _screen_xmax){			// X ʰ 0
		_screen_curx = 0;
		_screen_cury += ysize;				// Yǥ 
		if(_screen_cury > _screen_ymax){		// Y ʰ ˻ ǥ  
			_screen_curx = 0;
			_screen_cury = 0;
		}
	}
	
}

// =============================== ȭ鿡   ============================
// [μ] int x,int y,unsigned color
// Item1:  xǥ(0-319)
// Item2:  yǥ(0-219)
// Item3: ǥ (_RED,_GREEN,BLUE,_WHITE,_BLACK...)
// []  ȭ(0,0,319,239)
//         ȭ(0,0,239,319)
// -----------------------------------------------------------------------------
void Putpixel(int x,int y,unsigned color)
{
	ScreenSet(_screen_mode,x,y,x,y);			// ǥ ȭ 
	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	PORTA = color & 0xff;					// PORTA = datau[0..7]
	PORTC = (color >> 8) & 0xff;				// PORTC = datau[8..15]
	(*(unsigned char *) 0x65) &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0
	(*(unsigned char *) 0x65) |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1

	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1

//	if(_screen_mode == _SCREEN_COLUMN_SET) ScreenSet(_SCREEN_COLUMN_SET,0,0,_SCREEN_COLUMN_X,_SCREEN_COLUMN_Y);// ǥȭ  
//	else ScreenSet(_SCREEN_ROW_SET,0,0,_SCREEN_ROW_X,_SCREEN_ROW_Y);// ǥȭ  
}

// ===================== ϼ ڵ带  ȯ.=========================
// [μ] char *buf
// Item1: ȯ ڿ 
//  : ȯ   -> han_conv_buf[101]
// -----------------------------------------------------------------------------
void Han_Conv(char *buf)
{
unsigned char temp[2];
int  i,j,len;
unsigned lpos,code;

	len = strlen(buf);
	for(i = j = 0; i < len; i++){
		temp[0] = buf[i];
		if(temp[0] >= 0xb0 && temp[0] <= 0xc8){
			temp[1] = buf[++i];
			if(temp[1] >= 0xa1 && temp[1] <= 0xfe){
				lpos = (unsigned)(((unsigned)temp[0]-0xb0)*94 + ((unsigned)temp[1]-0xa1));
				code = Conv_Tbl[lpos];		// Data Read
				han_conv_buf[j++] = (char)(code >> 8);
				han_conv_buf[j++] = (char)(code & 0xff);
			}
		}
		else if(temp[0] == 0xa3){
			temp[1] = buf[++i];
			han_conv_buf[j++] = 0xda;
			if(temp[1] >= 0xa1 && temp[1] <= 0xbf) han_conv_buf[j++] = temp[1] - 0x70;
			else if(temp[1] >= 0xc0 && temp[1] <= 0xdf) han_conv_buf[j++] = temp[1] - 0x70;
			else if(temp[1] >= 0xe0 && temp[1] <= 0xee) han_conv_buf[j++] = temp[1] - 0x70;
			else if(temp[1] >= 0xef && temp[1] <= 0xfd) han_conv_buf[j++] = temp[1] - 0x5e;
		}
		else if(temp[0] == 0xa1){
			temp[1] = buf[++i];
			if(temp[1] == 0xa1){
				han_conv_buf[j++] = 0xd9;
				han_conv_buf[j++] = 0x31;
			}
			else{
				han_conv_buf[j++] = temp[0];
				han_conv_buf[j++] = temp[1];
			}
		}
		else han_conv_buf[j++] = temp[0];
	}
	han_conv_buf[j] = 0;					// ڿ  ǥ
}

// =============== ϼ(FLASH) ڵ带 (SRAM) ȯ.==================
// [μ] char flash *buf
// Item1: ȯ ڿ  FLASH
//  : ȯ   -> han_conv_buf[101]
// -----------------------------------------------------------------------------
void Han_Conv_f(char flash *buf)
{
unsigned char temp[2];
int  i,j,len;
unsigned lpos,code;

	len = strlenf(buf);
	for(i = j = 0; i < len; i++){
		temp[0] = buf[i];
		if(temp[0] >= 0xb0 && temp[0] <= 0xc8){
			temp[1] = buf[++i];
			if(temp[1] >= 0xa1 && temp[1] <= 0xfe){
				lpos = (unsigned)(((unsigned)temp[0]-0xb0)*94 + ((unsigned)temp[1]-0xa1));
				code = Conv_Tbl[lpos];		// Data Read
				han_conv_buf[j++] = (char)(code >> 8);
				han_conv_buf[j++] = (char)(code & 0xff);
			}
		}
		else if(temp[0] == 0xa3){
			temp[1] = buf[++i];
			han_conv_buf[j++] = 0xda;
			if(temp[1] >= 0xa1 && temp[1] <= 0xbf) han_conv_buf[j++] = temp[1] - 0x70;
			else if(temp[1] >= 0xc0 && temp[1] <= 0xdf) han_conv_buf[j++] = temp[1] - 0x70;
			else if(temp[1] >= 0xe0 && temp[1] <= 0xee) han_conv_buf[j++] = temp[1] - 0x70;
			else if(temp[1] >= 0xef && temp[1] <= 0xfd) han_conv_buf[j++] = temp[1] - 0x5e;
		}
		else if(temp[0] == 0xa1){
			temp[1] = buf[++i];
			if(temp[1] == 0xa1){
				han_conv_buf[j++] = 0xd9;
				han_conv_buf[j++] = 0x31;
			}
			else{
				han_conv_buf[j++] = temp[0];
				han_conv_buf[j++] = temp[1];
			}
		}
		else han_conv_buf[j++] = temp[0];
	}
	han_conv_buf[j] = 0;					// ڿ  ǥ
}

// =============================== RGB ݺ ǥ ===============================
// [μ] void
// [] 320*240 ȭ鿡 50Pixel  RGBݺ ǥ
// -----------------------------------------------------------------------------
void RGB_Disp(void)
{
int i,j;
int step_y1,step_y2,step_y3,step_y4;
unsigned datau,R = 0x3f,G = 0,B = 0;

	if(_screen_mode == 0			) ScreenSet(0			,0,0,319			,239			);// ǥȭ  
	else ScreenSet(1			,0,0,239			,319			);// ǥȭ  
	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0

	if(_screen_mode == 0			){			//  ȭ
		step_y1 = 48;
		step_y2 = 96;
		step_y3 = 144;
		step_y4 = 192;
//		step_y5 = 240;
	}
	else if(_screen_mode == 1			){		//  ȭ
		step_y1 = 64;
		step_y2 = 128;
		step_y3 = 192;
		step_y4 = 256;
//		step_y5 = 320;
	}
	for(i = 0; i <= _screen_ymax; i++){
		datau = (R << 11) + (G << 6) + B;		// datau = RRRRRR GGGGGG BBBBBB
		PORTA = datau & 0xff;				// PORTA = datau[0..7]
		PORTC = (datau >> 8) & 0xff;			// PORTC = datau[8..15]
		if(i < step_y1){				// RED
			R = 0x1f;
			G = 0x00;			
			B = 0x00;			
		}
		else if(i < step_y2){				// GREEN
			R = 0x00;
			G = 0x1f;			
			B = 0x00;			
		}
		else if(i < step_y3){				// BLUE
			R = 0x00;
			G = 0x00;			
			B = 0x1f;			
		}
		else if(i < step_y4){				// RED
			R = 0x1f;
			G = 0x00;			
			B = 0x00;			
		}
		else{						// BLUE
			R = 0x00;
			G = 0x00;			
			B = 0x1f;			
		}
		for(j = 0; j <= _screen_xmax; j++){
			(*(unsigned char *) 0x65) &= ~0x01;				// PORTG.0 :: CLCD_WR\ = 0
			(*(unsigned char *) 0x65) |= 0x01;				// PORTG.0 :: CLCD_WR\ = 1
        	}
	}
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	_screen_curx = _screen_cury = 0;
}

// ========================= Ʈ     =========================
// [μ] unsigned int	c
// Item1:  
// ------------------------------------------------------------------------------
void _Putch(unsigned int c)
{
unsigned char *image;

	if(c & 0x8000){						// ѱ ڵ Ÿ
		image = _GetHanImage(c);			// ѱ  
		PutImage(image,24,24);				// image ǥ
	}
	else{							//  ڵ Ÿ
		if(c == 0x0a){
			// ü ȭ ǥ 	
			if(_screen_mode == 0			){
				_screen_xmax = 319			;// θ ִ밪
				_screen_ymax = 239			;// θ ִ밪
			}
			else{
				_screen_xmax = 239			;	// θ ִ밪
				_screen_ymax = 319			;	// θ ִ밪
			}
			// YĿ 
			_screen_cury += 24;			// Ŀ   
			if(_screen_cury > _screen_ymax) _screen_cury = 0;// Ŀ   ˻
		}
		else if(c == 0x0d) _screen_curx = 0;		// Carrage Return
		else{
			image = _GetAscImage(c);		//   
			PutImage(image,16,24);			// image ǥ
		}
	}
}

// ======================== ѱ Ʈ Ÿ   ======================
//  [μ] unsigned c
//  Item1: ȯ Ÿ
//   : ȯ  
// ------------------------------------------------------------------------------
void *_GetHanImage(unsigned c)
{
unsigned h, h1, h2, h3, type1, type2, type3, pos;

	static char idxtbl1[] = {				// ʼ ε ̺
		 0,  0,  1,  2,  3,  4,  5,  6,
		 7,  8,  9, 10, 11, 12, 13, 14,
		15, 16, 17, 18, 19,  0,  0,  0,
		 0,  0,  0,  0,  0,  0,  0,  0
	};
	static char idxtbl2[] = {				// ߼ ε ̺
		 0,  0,  0,  1,  2,  3,  4,  5,
		 0,  0,  6,  7,  8,  9, 10, 11,
		 0,  0, 12, 13, 14, 15, 16, 17,
		 0,  0, 18, 19, 20, 21,  0,  0
	};
	static char idxtbl3[] = {				//  ε ̺
		 0,  0,  1,  2,  3,  4,  5,  6,
		 7,  8,  9, 10, 11, 12, 13, 14,
		15, 16,  0, 17, 18, 19, 20, 21,
		22, 23, 24, 25, 26, 27,  0,  0
    };
	static char type1tbl_no[]  = {				// ߼  ʼ /ħ 
		0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 3,
		3, 3, 1, 2, 4, 4, 4, 2, 1, 3, 0
	};
	static char type1tbl_yes[] = {				// ߼  ʼ /ħ 
		5, 5, 5, 5, 5, 5, 5, 5, 5, 6, 7,
		7, 7, 6, 6, 7, 7, 7, 6, 6, 7, 5
	};
	static char type3tbl[] = {				// ߼   
		0, 0, 2, 0, 2, 1, 2, 1, 2, 3, 0,
		2, 1, 3, 3, 1, 2, 1, 3, 3, 1, 1
	};

	h1 = (c >> 10) & 0x1F;					// ʼ ڵ
	h2 = (c >> 5)  & 0x1F;					// ߼ ڵ
	h3 = c	       & 0x1F;					//  ڵ
                                        			
	h1 = idxtbl1[h1];					// ʼ ε ڵ
	h2 = idxtbl2[h2];					// ߼ ε ڵ
	h3 = idxtbl3[h3];					//  ε ڵ

	type1 = h3 ? type1tbl_yes[h2] : type1tbl_no[h2];
	type2 = ((h1 == 0 || h1 == 1 || h1 == 16) ? 0 : 1) + (h3 ? 2 : 0);
	type3 = type3tbl[h2];

	if(h1){
		h = h1-1;					// ʼ[8][19][32] -> ʼ[152][32]
		pos = type1*19;
		memcpyf(ib, HanFont1[pos+h], 72);
	}
	else memset(ib, 0, 72);
	if(h2){
		h = h2-1;
		pos = type2*21;
		_memor(ib, HanFont2[pos+h], 72);		// ߼[4][21][32] -> ߼[84][32]
	}
	if(h3){
		h = h3-1;
		pos = type3*27;
		_memor(ib, HanFont3[pos+h], 72);		// [4][27][32] -> [108][32]
	}
	return ib;
}

// ======================  ѱ Ʈ Ѵ. ==========================
//  [μ] unsigned char *s1
//	   unsigned char flash *s2
//	   int	len
//  Item1:  
//  Item2: ε 
//  Item3: 
// ------------------------------------------------------------------------------
void _memor(unsigned char *s1,unsigned char flash *s2, int len)
{
	do{	
		*s1++ |= *s2++;
	}while (--len);
}

// =======================  Ʈ  ε ===============================
//  [μ] char c
//  Item1: ȯ Ÿ
//   : ȯ  
// -----------------------------------------------------------------------------
unsigned char* _GetAscImage(int c)
{
int i;

        for(i = 0; i < 48; i++) ascii_fbuf[i] = AscFont16[c][i];
	return ascii_fbuf;
}

// ============================== TFT LCD ʱȭ ===============================
// [μ] void
// [] 320*240 TFT LCD :: 80System 16bit Bus
// -----------------------------------------------------------------------------
void Clcd_Init(void)
{
	lcd_delay(100);						// Power ON ð 
	
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Instruction Set

	PORTA=0xff;						// PORTA OUTPUT = 0xff
	DDRA=0xff;                                              // PORTA(CLCD_D[0..7] = OUTPUT MODE)
	PORTC=0xff;						// PORTC OUTPUT = 0xff
	DDRC=0xff;                                              // PORTC(CLCD_D[8..15] = OUTPUT MODE)

// ׷ LCD 
	PORTE &= 0xbf;						// PORTE.6(RST\) = 0
	lcd_delay(100);						// reset ð 
	PORTE |= 0x40;						// PORTE.6(RST\) = 1
	lcd_delay(50);						// reset ð 
	
// init_lcd_registers
//Gamma setting 
 	CLCD_Command_Data(0x0046,0x0081);			// Gamma(1)
 	CLCD_Command_Data(0x0047,0x0010);			// Gamma(2)
 	CLCD_Command_Data(0x0048,0x0001);			// Gamma(3)
	CLCD_Command_Data(0x0049,0x0004);			// Gamma(4)
	CLCD_Command_Data(0x004A,0x0010);			// Gamma(5)
	CLCD_Command_Data(0x004B,0x0076);			// Gamma(6)
	CLCD_Command_Data(0x004C,0x0037);			// Gamma(7)
	CLCD_Command_Data(0x004D,0x0067);			// Gamma(8)
	CLCD_Command_Data(0x004E,0x0007);			// Gamma(9)
	CLCD_Command_Data(0x004F,0x0014);			// Gamma(10)
	CLCD_Command_Data(0x0050,0x000A);			// Gamma(11)
	CLCD_Command_Data(0x0051,0x000E);			// Gamma(12)

//Window Setting
   	CLCD_Command_Data(0x0002,0x0000);			// Column Address2
	CLCD_Command_Data(0x0003,0x0000);			// Column Address1
	CLCD_Command_Data(0x0004,0x0000);			// Column End2
	CLCD_Command_Data(0x0005,0x00EF);			// Column End1 :: 239
	CLCD_Command_Data(0x0006,0x0000);			// Row Address Start2
	CLCD_Command_Data(0x0007,0x0000);			// Row Address Start1
	CLCD_Command_Data(0x0008,0x0001);			// Row Address End2 :: 319
	CLCD_Command_Data(0x0009,0x003F);			// Row Address End1

//Display Setting
	lcd_delay(10);						// 10ms Delay
	CLCD_Command_Data(0x01,0x0006);				// Display Mode

	CLCD_Command_Data(0x16,0x00C8);				// Memory Access Control
	CLCD_Command_Data(0x23,0x0095);				// Cycle Control 1
	CLCD_Command_Data(0x24,0x0095);				// Cycle Control 2
	CLCD_Command_Data(0x25,0x00FF);				// Cycle Control 3
	CLCD_Command_Data(0x27,0x0002);				// Display Control 2
	CLCD_Command_Data(0x28,0x0002);				// Display Control 3
	CLCD_Command_Data(0x29,0x0002);				// Display Control 4
	CLCD_Command_Data(0x2A,0x0002);				// Display Control 5
	CLCD_Command_Data(0x2C,0x0002);				// Display Control 6
	CLCD_Command_Data(0x2D,0x0002);				// Display Control 7

	CLCD_Command_Data(0x003A,0x0001);			// Cycle Control 1
	CLCD_Command_Data(0x003B,0x0001);			// Cycle Control 2
	CLCD_Command_Data(0x003C,0x00F0);			// Cycle Control 3
	CLCD_Command_Data(0x003D,0x0000);			// Cycle Control 4
	lcd_delay(20);						// 20ms Delay
	CLCD_Command_Data(0x35,0x0038);				// Display Control 9
	CLCD_Command_Data(0x36,0x0078);				// Display Control 10
	CLCD_Command_Data(0x3E,0x0038);				// Cycle Control 5
	CLCD_Command_Data(0x40,0x000F);				// Cycle Control 6
	CLCD_Command_Data(0x41,0x00F0); 			// Cycle Control 7

	CLCD_Command_Data(0x38,0x0000);				// RGB Interface Control1

// Power Setting
 	CLCD_Command_Data(0x19,0x0049);				// OCS Control1
	CLCD_Command_Data(0x93,0x000A);				// DCCLK SYNC TO CL1
	lcd_delay(10);						// 10ms Delay
	CLCD_Command_Data(0x20,0x0050);				// Power Control 06
	CLCD_Command_Data(0x1D,0x0004);				// Power Control 03
	CLCD_Command_Data(0x1E,0x0001);				// Power Control 04

	CLCD_Command_Data(0x1F,0x0008);				// Power Control 05
	CLCD_Command_Data(0x44,0x0054); 			// VCOM Control2
//	CLCD_Command_Data(0x45,0x0010);				// VCom control3 :: original value for 3.0 Volts power supply
	CLCD_Command_Data(0x45,0x000e);				// VCom control3 :: by Brain for 3.3Volts power supply
	lcd_delay(10);						// 10ms Delay
	CLCD_Command_Data(0x1C,0x0004); 			// Power Control2
	lcd_delay(20);						// 20ms Delay
	CLCD_Command_Data(0x43,0x0080);				// VCOM Control1
	lcd_delay(5);						// 5ms Delay
	CLCD_Command_Data(0x1B,0x0008);				// Power Control1
	lcd_delay(40);						// 40ms Delay
	CLCD_Command_Data(0x1B,0x0010);				//  Power Control1
	lcd_delay(40);						// 40ms Delay

//Display On Setting
	CLCD_Command_Data(0x90,0x007F);				// Display Control8
	CLCD_Command_Data(0x26,0x0004);				// Display Control1
 	lcd_delay(40);						// 40ms Delay
	CLCD_Command_Data(0x26,0x0024);				// Display Control1
	CLCD_Command_Data(0x26,0x002C);				// Display Control1
 	lcd_delay(40);						// 40ms Delay
	CLCD_Command_Data(0x26,0x003C); 			// Display Control1
  	CLCD_Command_Data(0x57,0x0002);
	CLCD_Command_Data(0x55,0x0000);
	CLCD_Command_Data(0x57,0x0000);

	ScreenSet(0			,0,0,319			,239			);//  ǥ ȭ 
}

// ======================= Command Register NO+Data write ====================
// [μ] int regnum,unsigned datau
// Item1: Register No.
// Item2:  
// ---------------------------------------------------------------------------
void CLCD_Command_Data(int regnum,unsigned datau)
{
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
// regnum write
	PORTE &= ~0x20;						// PORTE.5 :: CLCD RS = 0 :: Instruction Set
	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	(*(unsigned char *) 0x65) &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0

	PORTC = 0;						// CLCD_D[8..15] = 0
	PORTA = regnum & 0xff;					// CLCD_D[0..7] = regnum
	
	(*(unsigned char *) 0x65) |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1

// data 16bit write
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	(*(unsigned char *) 0x65) &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0

	PORTC = (datau >> 8) & 0xff;				// PORTC = datau[8..15] high byte
	PORTA = datau & 0xff;					// PORTA = datau[0..7]  low  byte
	
	(*(unsigned char *) 0x65) |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1
}

// ======================== Command Register NO. write =======================
// [μ] int regnum,unsigned datau
// Item1: Register No.
// ---------------------------------------------------------------------------
void CLCD_Command(int regnum)
{
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
// regnum write
	PORTE &= ~0x20;						// PORTE.5 :: CLCD RS = 0 :: Instruction Set
	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	(*(unsigned char *) 0x65) &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0

	PORTC = 0;						// CLCD_D[8..15] = 0
	PORTA = regnum & 0xff;					// CLCD_D[0..7] = regnum
	
	(*(unsigned char *) 0x65) |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1
}

// ======================= Command Register Data write =======================
// [μ] unsigned datau
// Item1:  
// ---------------------------------------------------------------------------
void CLCD_Cdata(unsigned datau)
{
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0,1 :: CLCD_WR\ = RD\ = 1
// data 16bit write
	PORTE |= 0x20;						// PORTE.5 :: CLCD RS = 1 :: Data Set
	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0
	(*(unsigned char *) 0x65) &= ~0x01;						// PORTG.0 :: CLCD_WR\ = 0

	PORTC = (datau >> 8) & 0xff;				// PORTC = datau[8..15] high byte
	PORTA = datau & 0xff;					// PORTA = datau[0..7]  low  byte
	
	(*(unsigned char *) 0x65) |= 0x01;						// PORTG.0 :: CLCD_WR\ = 1
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1
}

// ========================== Graphic RAM Data Read ==========================
// [μ] void
// []  ġ ȼ .
// ---------------------------------------------------------------------------
unsigned CLCD_GRAM_dread(void)
{
unsigned i,datau,datau1,datau2,datau3;

	CLCD_Command(0x22);					// Set LCD register address 0x22 for make the system take GRAM data.
	PORTA=0xff;						// PORTA Է PULL UP SET
	DDRA=0x00;                                              // PORTA(CLCD_D[0..7] = INPUT MODE)
	PORTC=0xff;						// PORTA Է PULL UP SET
	DDRC=0x00;                                              // PORTC(CLCD_D[8..15] = INPUT MODE)

	PORTE |= 0x28;						// PORTE.5 :: CLCD RS = 1 :: Data Set,CLCD_164245_DIR = 1 :: RD Mode
	(*(unsigned char *) 0x65) |= 0x03;						// PORTG.0 :: CLCD_RD\ = 1,CLCD_WR\ = 1
	(*(unsigned char *) 0x65) &= ~0x04;						// PORTG.2 :: CLCD_CS = 0

// dummy data read
	(*(unsigned char *) 0x65) &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
	for(i = 0; i < 3; i++);
	datau1 = PINA & 0xff;					// CLCD_D[0..7]
	(*(unsigned char *) 0x65) |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
// data read R
	(*(unsigned char *) 0x65) &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
	for(i = 0; i < 3; i++);
	datau1 = PINA & 0xff;					// CLCD_D[0..7]
	(*(unsigned char *) 0x65) |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
// data read G
	(*(unsigned char *) 0x65) &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
	for(i = 0; i < 3; i++);
	datau2 = PINA & 0xff;					// CLCD_D[0..7]
	(*(unsigned char *) 0x65) |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1
// data read B
	(*(unsigned char *) 0x65) &= ~0x02;						// PORTG.1 :: CLCD_RD\ = 0
	for(i = 0; i < 3; i++);
	datau3 = PINA & 0xff;					// CLCD_D[0..7]
	(*(unsigned char *) 0x65) |= 0x02;						// PORTG.1 :: CLCD_RD\ = 1

	PORTE &= ~0x08;						// CLCD_164245_DIR = 0 :: WR Mode
	(*(unsigned char *) 0x65) |= 0x04;						// PORTG.2 :: CLCD_CS = 1

	PORTA=0xff;						// PORTA OUTPUT = 0xff
	DDRA=0xff;                                              // PORTC(CLCD_D[0..7] = OUTPUT MODE)
	PORTC=0xff;						// PORTC OUTPUT = 0xff
	DDRC=0xff;                                              // PORTC(CLCD_D[8..15] = OUTPUT MODE)
	
// RRRRR GGGGGG BBBBB
	datau = (datau1 << 8) & 0xf800;				// RED Data
	datau |= (datau2 << 3) & 0x07e0;			// GREEN Data
	datau |= (datau3 >> 3) & 0x001f;			// BLUE Data
	return(datau);
}

// ============================== LCD Delay xxxms ============================
// [μ] unsigned short time
// Item1: ð time * 1ms
// ---------------------------------------------------------------------------
void lcd_delay(unsigned short time)
{
unsigned short i,j;

  	for(i=0;i<time;i++){
 		for(j=0;j<800;j++) #asm ("nop")
	}
}

// ================================= ġ  α׷ =======================
//      : TSC2003
// ----------------------------------------------------------------------------
// Լ 
int Touch_Data(int scan_time);						// ġ  
int Touch_Data(int scan_time);						void TSC2003_Setup(void);						// I2c ʱȭ TSC2003ʱȭ
void TSC2003_Write(unsigned char byte);					// TSC2003 ġ Write
unsigned TSC2003_Word_Read(unsigned char cmd);				// TSC2003 ġ Word Read

//  
int Touch_X = 0,Touch_Y = 0;						// ġ ġ  

// ========================== ġκ ͸  =======================
// [μ] int scan_time
// Item1: ġ SCAN Timne(scan_time * 10ms)
// [] 1( ȿ),0( )
// [] Touch_X,Touch_Y : ġ  
//        _screen_mode :  ȭ 
// ---------------------------------------------------------------------------
int Touch_Data(int scan_time)
{
int x,y;

	if((PINE&0x80) == 0){						// ġ ?
		if(timer0_touch_cnt >= scan_time){			// ġ  üũ Ÿ scan_time*10ms
			x = TSC2003_Word_Read(0xcc);			// X  / 12bit / ADC ON
			y = TSC2003_Word_Read(0xdc);			// Y  / 12bit / ADC ON
			TSC2003_Write(0x38);				// PENIRQ ready mode
			if(_screen_mode == 0			){		// ι 
				Touch_X = y;
				Touch_Y = 4095 - x;			// ġ 12bit a/d
			}
			else{						// ι 
				Touch_X = x;				// ǥ ٲ
				Touch_Y = y;
			}
			timer0_touch_cnt = 0;				// timer clear
			return(1);
		}
	}
	else timer0_touch_cnt = 0;					//  
	return(0);
}

// ================================ TSC2003 Setup ============================
// [μ] void
// ---------------------------------------------------------------------------
void TSC2003_Setup(void)
{
// TWI(I2c) setup
	(*(unsigned char *) 0x70) = 0x0c;							// Bit Rate: 400.000 kHz
	(*(unsigned char *) 0x73) = 0xff;							// TWI DATA = 0xff
	(*(unsigned char *) 0x71) = 0x00;							//  Clear , prescaler = 00(1)

// TSC2003 setup
	TSC2003_Write(0x38);						// PENIRQ ready mode
}

// ================================ TSC2003 Write ============================
// [μ] unsigned char datau
// Item1:  
// ---------------------------------------------------------------------------
void TSC2003_Write(unsigned char datau)
{
	(*(unsigned char *) 0x74) = 0xa4;							// START
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x08));	
	(*(unsigned char *) 0x73) = 0x90;							// Address 0 + write
	(*(unsigned char *) 0x74) = 0x84;							// TWINT 1 Ἥ Ŭ
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x18));	
	(*(unsigned char *) 0x73) = datau;							// data ۽
	(*(unsigned char *) 0x74) = 0x84;							// TWINT 1 Ἥ Ŭ
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x28));

	(*(unsigned char *) 0x74) = 0x94;							// Ϸ 
}

// =============================== TSC2003 word Read =========================
// [μ] unsigned char cmd
// Item1: ġ  command 
// ---------------------------------------------------------------------------
unsigned TSC2003_Word_Read(unsigned char cmd)
{
unsigned char byte;
unsigned rdatau = 0;

	(*(unsigned char *) 0x74) = 0xa4;							// START
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x08));	
	(*(unsigned char *) 0x73) = 0x90;							// Address 0 + write
	(*(unsigned char *) 0x74) = 0x84;							// TWINT 1 Ἥ Ŭ
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x18));	
	(*(unsigned char *) 0x73) = cmd;							// cmd data ۽
	(*(unsigned char *) 0x74) = 0x84;							// TWINT 1 Ἥ Ŭ
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x28));
  
	(*(unsigned char *) 0x74) = 0xa4;							// START
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x10));	//  ?
	(*(unsigned char *) 0x73) = 0x91;   							// Address 0 + read   
	(*(unsigned char *) 0x74) = 0x84;							// TWINT 1 Ἥ Ŭ    
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x40));	// SLA-R Ϸ?
	(*(unsigned char *) 0x74) = 0xc4;							// data read
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x50));	// data  ACK?
	rdatau = (*(unsigned char *) 0x73);
	(*(unsigned char *) 0x74) = 0x84;							// TWINT 1 Ἥ Ŭ    
	while((((*(unsigned char *) 0x74) & 0x80) == 0x00) || (((*(unsigned char *) 0x71) & 0xf8) != 0x58));	// data  ACK?
	byte = (*(unsigned char *) 0x73);

	(*(unsigned char *) 0x74) = 0x94;							// Ϸ           	

	rdatau =  (rdatau << 4) & 0x0ff0;				// D11-D4
	rdatau |= (unsigned)((byte >> 4) & 0x0f);			// D3-D0	

	return rdatau;
}

// Լ 
void main_menu_disp(void);						//  ޴ ǥ

//  

// ===============================  α׷ ==============================
// [μ]: void
// ---------------------------------------------------------------------------
int main(void)
{
char buf[50];
unsigned char image[50];
unsigned datau;
int i;

	cpu_setup();							// cpu ʱȭ
	TSC2003_Setup();						// I2c ʱȭ TSC2003ʱȭ
	Clcd_Init();							// LCD ʱȭ
	RGB_Disp();							// RGB  ǥ
// ڿ ǥ	
	Setcolor(0xffe0);						//  
	Setbkcolor(0x001f);						//  
	Putsxyt_f(12,9,"â ");					// ڿ ǥ
	Setcolor(0xffff				);						//  
	Setbkcolor(0x001f);						//  
	Putsxyt_f(5,10,"www.cpuplaza.com");
	Setcolor(0xffff				);						//  
	Setbkcolor(0x0000);						//  

	main_menu_disp();						//  ޴ ǥ
	while(1){
		if(com1_rx_eflg){					// COM1  ˻
			if(com1_rx_data == '0') main_menu_disp();	//  ޴ ǥ
			else if(com1_rx_data == '1') Clrscr();		// ȭ 
			else if(com1_rx_data == '2') Cleardevice();	// ȭ 
			else if(com1_rx_data == '3') Putpixel(10,10,0xffff				);// ȼ ǥ
			else if(com1_rx_data == '4') Putpixelb(0,1,0xff,0xffff				);// Ʈ  ǥ()
			else if(com1_rx_data == '5'){			// ̹ ǥ
				for(i = 0; i < 32; i++) image[i] = 0xaa;// 16bit * 16bit size
				Setcolor(0xffff				);			//  
				Setbkcolor(0x0000);			//  
				Gotoxy(0,0);				// Ŀ ġ (0,0)
				PutImage(image,16,16);			// image ǥ
			}
			else if(com1_rx_data == '6') Putch('1');	// 1 ǥ
			else if(com1_rx_data == '7') Putchxy(16,2,'2');	// ׷ ǥ 1 ǥ
			else if(com1_rx_data == '8') Putchxyt(8,3,'3');	// ؽƮ ǥ 1 ǥ
			else if(com1_rx_data == '9'){
				sprintf(buf,"");			// ѱ ڿ
				Puts(buf);				// ڿ ǥ
				Puts_f("");				// CODE ڿ ǥ
			}
			else if(com1_rx_data == 'a'){
				sprintf(buf,"׽Ʈ1");
				Putsxy(10,3,buf);			// ׷ ǥ ڿ ǥ
				Putsxy_f(10,27,"׽Ʈ1");		// ׷ ǥ CODE ڿ ǥ
			}
			else if(com1_rx_data == 'b'){
				sprintf(buf,"׽Ʈ2");
				Putsxyt(4,2,buf);			// ؽƮ ǥ ڿ ǥ
				Putsxyt_f(4,3,"׽Ʈ2");		// ؽƮ ǥ ڿ ǥ
			}
			else if(com1_rx_data == 'c'){			//  پϰ ׸
				Line(0,0,200,0);			// 簢 ڽ
				Line(200,0,200,220);
				Line(200,220,0,220);
				Line(0,0,0,220);

				Line(0,110,200,110);			// +
				Line(100,0,100,220);

				Line(0,0,200,220);			// 밢
				Line(0,220,200,0);
			}
			else if(com1_rx_data == 'd') Rectangle(10,50,230,180);// 簢ڽ ׸
			else if(com1_rx_data == 'e'){			// ä ڽ ׸
				Setcolor(0xf800);				//  
				Rectanglefill(50,50,190,150);		// 簢ڽ ä - RED
				timer0_cnt = 0;	while(timer0_cnt < 100);// 1 delay
				Setcolor(0xffff				);			//  
				Rectanglefill(50,50,190,150);		// 簢ڽ ä - WHITE
				timer0_cnt = 0;	while(timer0_cnt < 100);// 1 delay
				Setcolor(0x001f);			//  
				Rectanglefill(50,50,190,150);		// 簢ڽ ä - BLUE
				timer0_cnt = 0;	while(timer0_cnt < 100);// 1 delay
				Setcolor(0xffe0);			//  
				Rectanglefill(50,50,190,150);		// 簢ڽ ä - YELLOW
				timer0_cnt = 0;	while(timer0_cnt < 100);// 1 delay
				Setcolor(0x0000);			//  
				Rectanglefill(50,50,190,150);		// 簢ڽ ä - BLACK
				Setcolor(0xffff				);			//  
			}
			else if(com1_rx_data == 'f') Circle(100,100,50);	//  ׸
			else if(com1_rx_data == 'g') Ellipse(100,100,50,20);// Ÿ ׸
			else if(com1_rx_data == 'h') RGB_Disp();	// RGB  ǥ
			else if(com1_rx_data == 'i'){			// ü ȭ  ȼ б
				if(_screen_mode == 0			) ScreenSet(0			,0,0,319			,239			);// ǥȭ  
				else ScreenSet(1			,0,0,239			,319			);// ǥȭ  
				
				datau = CLCD_GRAM_dread();		// ȼ 
				printf("pixel data : %04x\r\n",datau);				
			}
			else if(com1_rx_data == 'j'){
				printf("SCREEN COLUMN MODE SET\r\n");
				ScreenSet(0			,0,0,319			,239			);// ǥȭ  
			}
			else if(com1_rx_data == 'k'){
				printf("SCREEN ROW MODE SET\r\n");
				ScreenSet(1			,0,0,239			,319			);// ǥȭ  
			}
			else if(com1_rx_data == 'l'){
				printf("Color :: WHITE\r\n");
				Setcolor(0xffff				);			//   WHITE
			}
			else if(com1_rx_data == 'm'){
				printf("Color :: BLACK\r\n");
				Setcolor(0x0000);			//   BLACK
			}
			else if(com1_rx_data == 'n'){
				printf("Color :: RED\r\n");
				Setcolor(0xf800);				//   RED
			}
			else if(com1_rx_data == 'o'){
				printf("Color :: BLUE\r\n");
				Setcolor(0x001f);			//   BLUE
			}
			else if(com1_rx_data == 'p'){
				printf("Background Color :: BLUE\r\n");
				Setbkcolor(0x001f);			//   BLUE
			}
			else if(com1_rx_data == 'q'){
				printf("Background Color :: BLACK\r\n");
				Setbkcolor(0x0000);			//   BLUE
			}
			else putchar(com1_rx_data);
			com1_rx_eflg = 0;
		}
		if(Touch_Data(2)){					// ġ  ˻ 20ms
			printf("touch > (x)%d : (y)%d\r\n",Touch_X,Touch_Y);
		}
	}
	return 0;
}

// ==================================  ޴ ǥ =========================
// [μ] void
// ---------------------------------------------------------------------------
void main_menu_disp(void)
{
	printf("======== TFT LCD Test Main =========\r\n");
	printf("- 0 : Main Menu Disp               -\r\n");
	printf("- 1 : Clrscr     2 : Cleardevice   -\r\n");
	printf("- 3 : Putpixel   4 : Putpixelb     -\r\n");
	printf("- 5 : Putimage   6 : Putch         -\r\n");
	printf("- 7 : Putchxy    8 : Putchxyt      -\r\n");
	printf("- 9 : Puts       a : Putsxy        -\r\n");
	printf("- b : Putsxyt    c : Line          -\r\n");
	printf("- d : Rectangle  e : Rectanglefill -\r\n");
	printf("- f : Circle     g : Ellipse       -\r\n");
	printf("- h : RGB Data Display             -\r\n");
	printf("- i : GRAM Data read               -\r\n");
	printf("- j : SetScreen(COLUMN)            -\r\n");
	printf("- k : SetScreen(ROW)               -\r\n");
	printf("- l : Setcolor(_WHITE)             -\r\n");
	printf("- m : Setcolor(_BLACK)             -\r\n");
	printf("- n : Setcolor(_RED)               -\r\n");
	printf("- o : Setcolor(_BLUE)              -\r\n");
	printf("- p : Setbkcolor(_BLUE)            -\r\n");
	printf("- q : Setbkcolor(_BLACK)           -\r\n");
	printf("- touch screen press : x,y disp    -\r\n");
	printf("------------------------------------\r\n");
}
